Overview

Bersoft Image Measurement is a Windows application that makes it easy to acquire, measure, and analyze digital images. To measure an image, simply click on the image to define control points. The program will automatically perform measurements, calculate areas, and generate statistical analysis. All measurements are drawn over a special measurement layer, so the original image is not altered in any way.

The program supports DICOM, JPEG, TIFF, and most popular image formats (see Supported file types). The twain interface lets you capture images directly from TWAIN scanners and digital cameras. It's easy to export images in RGB, HSV, or 8-bit channel format, or even generate a matrix with the decimal or hexadecimal values of the image pixels.

You can perform angle, distance, perimeter, area, and point and line measurements by using the Tools Palette.
Spatial calibration is available to provide real world dimensional measurements such as kilometers, centimeters, microns, or miles, for both linear and area measurements.

The Professional version can compute image statistics from a selected image area, an entire image, or a group of images or also calculate statistics from the measurements. You have instant access to counts, mean, median, minimum, maximum, range, variance, standard deviation, standard error, coefficient of variation, skew, kurtosis, and frequencies. It also supports DICOM images (read only), Pixel profile, Array/band analysis, Charts, Image Database and Object counting.

You can rotate, resize, merge, flip and rotate selections. With its multiple document interface (MDI), the program supports any number of images simultaneously. See also Maximum image size.

The TRIAL version of Bersoft Image Measurement only opens images saved in the proprietary IMB file format, but the full version supports many different image types, including DICOM.
Many different IMB images are available at our website for your convenience, but if you prefer to test the program with some of your own images we can convert up to three images, free of any charge, to help you evaluating fully the product.

Send the images to be converted to: . We can process emails with attachments not bigger than 1 MB.

Measurements are drawn on a vectorial layer (overlay) and they can be edited or adjusted as many times as needed, its color and position can be modified. Because they are drawn as vectorial images, they look exactly the same at any zoom value.

Each image gets its own measurements datasheet, and cause that each set of measurements related to the same image can have a different conversion factor.

Bersoft Image Measurement lets you visualize images in a variety of ways, including viewing histograms from partial or complete images, generating false color images, subtracting image backgrounds, merging images, inverting image colors, manipulating channels, applying spatial convolutions with masks and filters, and adjusting features such as gamma, brightness, and contrast.

Whether you need to speed up the process of measuring scientific or industrial samples, or to perform statistical analysis on scans or photographs of irregular objects, Bersoft Image Measurement gives you the tools that you need.

See also: What is new in the version 4.0?

Tip: Nearly all the program windows and palettes have an associated help page, press F1 to get contextual help for the active window. In some cases you can also get help by clicking the Help menu or the [image] button on the title bar of the window you want to get help for.


What is new in the version 4

What is new in the version 4.0

  • Draws measurements as vectorial objects on a layer (overlay). Both the measurements and its attributes (color, comments and label font) can be edited at any time.

  • The measurements for each image are recorded in a Measurements window that is linked to the image. Measurements use the default conversion factor but it is possible to define a different conversion factor for each image.

  • The Results window allows consolidating measurements from different images in a single location. It also can generate statistics and charts using the measurements data.

  • Statistics can also be obtained from the Find objects and Histogram windows.

  • The histogram window is greatly improved.

  • Charts can be generated either from the measurement statistics or directly from the measurement values.

  • Can extract frames from video files.

  • The Automatic color area measurement tool has many new features.

  • The new Best-fit line command is useful to identify the function whose curve is the line and to draw the line that passes most closely through several coordinates.

  • The Filters, Adjust Channels and Histogram windows now support full image preview.

  • Improved PixelProfile window, allowing multiple instances at once and more precise line drawing.


First Steps

The Trial version only can open images saved in Bersoft Image Measurement proprietary format (.IMB). Several IMB images are included with the TRIAL version but many others can be downloaded from our website to test the program.

To help people to evaluate properly Bersoft Image Measurement we can convert some images (no more than 3 of them) to the format that the Trial version handles, with no charges.
Send the images to be converted to: . We can process emails with attachments not bigger than 1 MB.

Manual (point and click) Measurements

Select the appropriate measurement tool in the Tools Palette and point and click to perform a distance, angle, perimeter, area, point or line measurement. Learn more.

The measurements will be recorded in the Measurements window, from there they can be also exported or send to the Results window.

Area measurements

Area measurements are an special case and can be handled using the Selection Settings palette, which opens automatically when the [image] button is clicked.

Conversion factor

Although Bersoft Image Measurements performs all measurements in pixels it can convert automatically the pixel values to any other real world dimensional measurements such as millimeters, microns, feet, miles, etc. The conversion is done by multiplying the pixel measurements values by a Conversion Factor. Learn more.

Statistics

You can only get statistics from the measurements, wither from the Measurements window or the Results window. To do so click either the [image] button or the File > Statistics menu.

Alternatively you can get statistics directly from images or still process in batch mode several images at once, by using the Image Statistics window.

Tip: Nearly all the program windows and palettes have an associated help page, press F1 to get contextual help for the active window. In some cases you can also get help by clicking the Help menu or the [image] button on the title bar of the window you want to get help for.

See also:

  • Overview

  • Maximum image size

  • Measurement Precision

  • Supported File Types

  • Differences between the Professional and Standard versions

  • Array/Band Analyzer

  • Pixel Profile

  • Find Objects

  • Calculate best-fit line

  • Either measurements or statistics can be shown as charts by clicking the [image] button. Learn more.


Set Conversion Factor Window

Conversion Factor

Main Menu: Measurements > Set Conversion Factor
Toolbar button:
Also shown in the Measurements window bottom status bar. By clicking the status bar the Set Conversion Factor window will pop-up.

Although Bersoft Image Measurements (BIM) performs all measurements in pixels it can convert automatically the pixel values to any other real world dimensional measurements such as millimeters, microns, feet, miles, etc. The conversion is done by multiplying the pixel measurements values by a numeric constant called Conversion Factor.

The Conversion Factor can entered by hand or by measuring a known length object in the image.

By way of example, if you are measuring images scanned at 300 DPI (dots per inch), because each inch in the scanned object corresponds to 300 pixels in the resulting image, by entering a conversion factor equal to 1/300 (0.003333333333333333), the measurements will be displayed in inches in the Measurement window and on the image. Or you can measure a 1 inch object in the image and tell BIM that it is 300 pixel long, so BIM can calculate the Conversion Factor for you.
Click here to see another examples.

Disregarding image resolution in dots per inch and it's zoom value, when measuring, BIM measures the real pixels in the image.
Indeed the only physically fixed dimensions that a digital image has are the number of pixels wide and high in the image (e.g. 2000 x 1000 pixels).

Some measurement tools make easy to normalize the way pictures are taken. Scanners, microscopes and other scientific measurement tools always take pictures from samples placed at the same distance. With knowing the DPI value or the microscope amplification factor, you can easily calculate the Conversion Factor, no matter if there is no known length object in the image.

Other tools, like digital cameras, produce images taken under far more variable conditions. The distance to the object may change from image to image, as well as the zoom or the camera lens. That makes more difficult calculating the Conversion Factor unless there is a known length object in the image that can be used to get the Conversion Factor.
Also, not all objects in the image may be placed at the same distance, so if the known length object is not placed near to the object the to measure you can lose accuracy. Learn More.

Setting the conversion factor by measuring a known length object

By default, the Conversion Factor is set to 1, so BIM will show the measurements in pixels unless you define a Conversion Factor.

When the image is saved, the measurements are saved along with it, recorded as pixels, but also the measurement factor for that image will be recorded. When the image is reopened the measurements will be automatically displayed using the previously specified conversion factor.

Use the Set Conversion Factor window either to calculate the conversion factor, by calibrating it against an object of known length or to Load/Save/Edit directly the conversion factor.
This window is divided in two tabs. The Calibrate tab allows to set a conversion value by drawing a line of known length on an image, as the image below shows.

Calibrating

When the Conversion Factor window is opened, the cursor always changes to measurement mode and the line measurement tool ( [image])is automatically selected in the Tools Palette (do not use directly the [image] tool for calibration, but open the Set Conversion Factor window and follow the instructions there).

Some measurements devices may include the scale in the image, providing then a reference point for calibrating the conversion factor.

Also, when measuring macroscopic objects, sometimes is useful to include a ruler in the image, to get a proper reference point to calibrate the conversion factor.

These are the steps to set the conversion factor by drawing a line of known length over the image.

  1. Open the image.

  2. Click the [image] button.

  3. Click twice to mark both ends of the line on the image.

  4. If you want to you can click and drag to adjust the line ends.

  5. Click with the right button to open the contextual menu and then click End Calibration. You can click on any part of the image, not only the line.

  6. Write down the length of the line.

Load/Save/Edit

The Load/Save/Edit tab allows entering the conversion factor by hand and also loading/saving it from/to conversion factor files.

Conversion factors are saved as files with .CNV filename extension. Several conversion values files, calculated for images taken at 72, 75, 96, 100, 150, 300 and 600 DPI are provided in the program directory, for converting measurements to kilometers, millimeters and inches.

The Decimal positions settings affects how many decimals will be used to display the measurements. When you save or load the conversion factor to/from a file, the decimal positions will be saved or loaded as well.

Scope: Global and Local conversion factors

Each image can have a different Local conversion factor, which is saved along with the measurements for that image and will be used again each time the image is reopened.
Also a Global conversion factor can be specified, to by used as default value for all new images to measure.

When the Set Conversion Factor window is opened, it will display the Global conversion factor is no images are opened, otherwise, it will display the Local conversion factor corresponding to the active image.
It is possible to switch between the Local and Global conversion factors by clicking the Show Global Conversion factor button.

After you click the OK button to set up a new conversion factor, if at least one image is opened the program will ask you to select if you want to modify just the Local Conversion factor value or the Global one.
If more than one image is opened, you also should select if you want to apply the Conversion factor to all images or only to the active one.

Notes:

If the images are scaled down or up or the scanning resolution is modified, any previous Conversion Factor set for the images will become invalid.

The conversion factor doesn't influence how Statistics, Pixel Profile, Array/Band Analyzer or the Results window work. It only affect values written into the Measurements and Find Objects windows.


Tools Palette

Main Menu: View > Tools Palette
Shortcut: F5

The Tools palette contains tools for making "point and click" manual measurements, such as counting points, measuring angles, distances, perimeters or areas on the image.

The basic steps involved in taking manual measurements are:

  1. Selecting the appropriate tool in the tool palette, shown to the right, depending on which measurement. you need to take (polygon, segment, automatic area, etc.).

  2. Taking the actual measurement in your image. Each tool has its own way of obtaining a measurement. See How the different measurement tools work below for instructions about the process for each different tool.

  3. When you take a measurement, it appears on the image along with its label (see ), and also is automatically recorded in the Measurements window data sheet.

  4. Alternatively, after all the measurements on the image are done, they can be exported to the Results window, in order to consolidate measurements from different images in a single datasheet or divide them in series to perform statistical analysis or generate charts.

When you select the Measurements command, the Measurements window is opened. There are three tabs or pages in the dialog box, which are organized in the order of workflow from left to right. The first tab is the Feature page. The second is the Input / Output page, and the last one is the Options page. This dialog is resizable, with a minimum size that accommodates the larger of the Input / Output and Options pages. When the dialog is opened, the last page used will be displayed.

Note:
You may want to set the Conversion Factor before taking any measurements.

How the different measurement tools work

The tools on the top: Angle [image], Segment [image] and Polygon [image] insert control points with each click. The points are connected between them by lines. The angle tool only uses three points and the segment tool just two, but the Polygon tool can add any number of points, to measure multiple segments, perimeters or areas:

  • To delete a point, press the Control key and click on it.

  • To insert a point between other two points click on the dashed line that connects the points at the location when the new point should be.

  • To move a point simply click and drag it.

  • To draw perfectly vertical or horizontal line press the SHIFT key, so the points are placed ONLY in 90 degree directions to the previous control point.

The Polygon tool [image] allows closing the drawing path (to measure an area). To do so click on the first point. You will notice that the cursor changes to a link:

Clicking on the first point will close the path and write the measurement. In case you need to move the first point without actually closing the path, press the Alt key while clicking it.

The Rectangle [image] and Ellipse [image] tools place a 10x10 pixels size rectangular or elliptical shape on the image (that size may be modified at Preferences tab). To move or resize the measurement click the shape control points. If the SHIFT key is pressed while resizing the shape it will have exactly the same width and height, so it will become a perfect square or a circle.

To scroll up/down or left/right the image while making a measurement, press the spacebar to turn on temporarily the [image] Hand Grabbing Tool.

To write the measurement right click and select Write measurement, or choose Unselect (Cancel) if you want to cancel it.

Each measurement will be numbered sequentially, but if you delete some measurement that may cause gaps in the measurement numbering sequence. To clear such gaps use the Clear counting gaps command on the Measurements menu.

Use the [image] Line Selection tool to modify the position of the points or add new points to measurements already written.

Configuring predetermined options

Some tools can be work in different ways depending on its settings. To define how tools work right click on the tool you want to configure, or just select the Edit > Preferences menu command to open the Preferences window.

The following table describes how each tool work.

Options: CF: Uses the Conversion Factor. S: Supports Statistics. CO: Supports copying.

Tool
Options
Description
Angle Measurement Tool

The Angle tool allows you to determine the angle defined by three points within the digital image.
Angles are drawn by clicking on three points: on one point subtending the angle, the vertex and the second point on the rays subtending the angle to be measured. Place the cursor over the initial point (1), click, point to the angle center (2) and click other time, point to the final point (3), and click again.

To write the measurement right click and choose Write measurement.

If End segment and angle measurement automatically is set ON in Preferences window, the measurement will be written automatically as soon you click for a third time.

Line Measurement Tool

CF

The Line tool allows you to determine the distance defined between two points within the image.
To draw a single-segment line, click at one end of the line, point to the other end and click again.

To write the measurement right click and choose Write measurement.
If End segment and angle measurement automatically is set ON in Preferences window, the measurement will be written automatically as soon you click for a second time.

Manual Tags and Counter Tool

The Manual Tag and Counter Tool allows counting manually objects within an image. Each time you click on an image point, it is tagged using a colored pixel and the total counting is incremented by one. Each tag is stored in the Measurements window and numbered accordingly to the counting.

To change the actual counting right-click [image].

Also you can get the Best Fit line for the tags.

Manual area/perimeter measurement

Polygonal Area/Perimeter Measurement
Tool

S, CF,
CO

Click on the first point, and continue moving and clicking until you have marked all segments. To measure a polygonal area click on the first point at the end of the measurement in order to close the polygon.
To write the measurement right click.

The Polygonal Area/Perimeter Measurement Tool supports Basic Statistics and Frequency Analysis.

NOTE: Important notice about irregular selections.

Rectangular Area/Perimeter Measurement Tool (*)

S, CF,
CO

Drag on the image to select a rectangular area.

You may adjust the boundaries and position of a rectangular selection while it is active. To adjust a boundary, place the cursor along the edge or corner of the rectangle selection and drag it when the 2-way cursor appears. To move the rectangle selection, place your cursor in the middle of the rectangle and drag it when the 4-way cursor appears.

To write the measurement right click and choose Write measurement.
The Rectangular Area Measurement Tool supports Basic Statistics and Frequency Analysis.

Elliptical Area/Perimeter Measurement Tool (*)

S, CF, CO

Drag on the image to select an elliptical area. The selecting is drawn from the center. To move the selection, place your cursor in the middle of the rectangle and drag it when the 4-way cursor appears.

To write the measurement right click and choose Write measurement or Write measurement and extended information.

The Elliptical Area Measurement Tool supports Basic Statistics and Frequency Analysis.

NOTES:

Important notice about elliptical selections.

Comparing the Elliptical and Automatic Area Measurement Tools

(*)

Both [image] and [image] tools draw a predetermined size rectangular or circular selection when you click, the size of that shape is predetermined by the Rectangle/Size default size, set in Preferences window.

Automatic selection area measurement

Automatic Area Measurement Tool

CF

Makes automatic selections of pixel areas with similar color.

Click the color you want to select. A mask will mark the selection.

To modify the selection scope and modify other related settings, open the Selection Settings palette.

NOTE:

C omparing the Elliptical and Automatic Area Measurement Tools

The following buttons are not measurement tools but perform other useful functions:

Line Selection Tool

Use the Line Selection Tool to edit measurements previously done with the [image], [image], [image], [image] or [image] tools.
To select a measurement click on any of its lines, after the measurement is selected its lines can moved or stretched.

To write the measurement (replacing the previous measurement by the modified one) right click and choose Write measurement. To cancel all modifications and keep the previous measurement, right click and choose Unselect (Cancel).

Note: To modify a measurement done by the [image] tool you should select it in the Measurements window and then open the Selection Settings palette.

Color Picker Tool

Use the Picker Tool to set the foreground color.
Click the color you want to pick.
Freehand Pencil Tool
Use the Freehand Pencil Tool to paint over the image.
Hand Grabbing Tool

Scrolls an image in any direction when the whole image is bigger than the image window.
Note: Pressing the spacebar turns on temporarily the Hand Grabbing Tool without interrupting the measurement in progress.

Zoom Tool
Enlarges or reduces your view of the image depending on which mouse button is clicked. Right-click enlarges and left-click reduces the zoom.
See also Magnifying Lens and Keyboard shortcuts
Foreground/Background Color

Click on the Foreground (left box) or Background (right box) boxes to open the color window to select a new color.

The Foreground color determines the color used to draw the new measurements, although after a measurement is done, its color can be modified at the Measurements window.

The Background color is also used when a selection is transferred another window.
Learn more: Important notice about transferring selections.

Brush size

The brush size affects the [image] tool and also the [image] tool (when adding/subtracting selections manually).

Selection Lines color

If selected the selection lines will be drawn using the Foreground/Background colors. It unselected they will be drawn in black and white colors. This option doesn't affect the color used to draw the lines on the Measurement Layer.


Selection Settings Palette

Main Menu: View > Selection Palette
Button: in Tools Palette
Shortcut: F6

This palette is related with the automatic area measurement tool, that measures areas within the same pixel range, both contiguously or across the image (This tool doesn't support Statistic Analysis or Histogram).

The Selection Settings palette automatically pop-ups when [image] is clicked.

Tolerance:

The three sliders adjust the pixel tolerance for each color channel.

You can use either RGB or HSL/HSV color modes to adjust the pixel tolerance. If you select RGB (as the image to the right shows), you have the option of selecting Lock Channels, to use the same tolerance value for each channel. Setting different tolerance values for each channel is an alternative to be used when the selected pixels don't fit to the desired area.

Select HSL/HSV color models (shown in the image below) when the RGB color model doesn't allow selecting properly the desired area. HSL and HSV are grouped together because they have similar Hue and Saturation channels, in fact HSL and HSV are closely related colors models, so there is not much difference between them. Use the HSL and HSV in selection radio boxes below the Luminance slider to switch between HSL and HSV. if you select HSV the Luminance slider will change its label to Value.

Only adjacent pixels within the tolerance range will be selected if Contiguous check box is selected, otherwise all image pixels within the tolerance range will be selected.

When measuring an area of contiguous pixels, regions connected only along a diagonal will not be included. Learn More.

If Invert is selected the current measurement area will be inverted. This feature is useful when the background is smoother than the objects we want to select., allowing us to select indirectly the objects by selecting the background that surrounds them.

The Only borders check box doesn't affects the measurement at all, but if selected, only the borders of all measurements will be drawn.

The Mask color box opens the color palette window, to modify the current area measurement color.

Mode
Different selection modes can be set by clicking on any the six selection mode buttons or selecting the corresponding commands in the selection mode list box. You may specify whether to replace the current selection, create a new selection , add to an existing selection or subtract from a selection. Adding or subtracting can be done manually or automatically.

Mode | Action to perform when the image is clicked
 | The current area measurement will be replaced for a new one. Each time you click again, a new selection will be calculated and the previous one will disappear.
 | A new area measurement will be added to the image measurements.
 | The selected area will be added to the current area measurement. This options only must be used when Contiguous is selected.
 | The selected area will be subtracted from the current area measurement. This options only must be used when Contiguous is selected.
 | The automatic area selection tool will work like a pen, using the current pen brush size (set in the Tools Palette), allowing adding pixel to the selection by painting them manually.
 | The automatic area selection tool will work like an eraser, using the current pen brush size (set in the Tools Palette), allowing decreasing the selection by erasing parts of it manually.

  1. Each time the tolerance value for any channel is modified or when switching from RGB to HSL/HSV modes, the area measurement will be recalculated, and any selections added either manually or automatically will be lost.

  2. To create a new selection without modifying the previous one, select [image], click the image to create the selection and only then change the color or tolerance settings.

  3. To modify an area measurement, select it in the Measurement window datasheet, then you can modify its tolerance or color settings.


Measuring points along

To measure multiple points along a line or polygon, use the [image] tool, which inserts control points with each click as the following image shows:

Control points may be moved, added and deleted. When the points are properly arranged, the measurement is done by right clicking and selecting Write measurement or alternatively Write measurement and extended information.
The SHIFT key locks the measuring in ONLY 90 degree directions to the previous control point, allowing drawing lines perfectly vertical or horizontal (orthogonal lines)

Drawing points along a line

  1. Select the Polygon tool [image] and draw the line, clicking twice to place both end points. If it is an orthogonal line, keep pressed the SHIFT key:

  2. Add the intermediate points, taking care of clicking as exactly as possible on the line (Learn more):

If you click too close to another point, instead of adding a new point the program will selected the other point.
To avoid such problem, click more far away from other points and keep pressed the mouse button.
Then you can move the new point in 1 pixel increments by pressing the arrow keys and move it as close to another points as you want.

  3. Right-click and select Write measurement in the shortcut menu:

  4. The measurements will be recorded in the Measurements window, as the following image shows:

Note: to see each point coordinate and segment length make sure the Left Pane is visible by checking the View > Left pane menu option, if necessary.


Measurements Window

Main Menu: Measurements > View/Hide Measurements Window
Keyboard: Ctrl-G
Toolbar button:

The Measurements Window is where all measurements done with the Measurement Tools are recorded.

Measurements are always recorded in pixels, but its values are displayed adjusted by the current conversion factor.

Each time the image is saved, also the measurements will be are saved along as a measurements file, with the same name than the image, but with .msr file extension.

By way of example, if an image is named wood_m.png, the measurements file will be automatically saved as wood_m.png.msr. If you rename the image outside Bersoft Image Measurement, take care of renaming the measurement file accordingly, otherwise it will not be loaded with the image. If you save the image with another filename with Bersoft Image Measurement, the measurements will be saved along with the proper file name.

If the image was not modified, only the measurements will be saved, therefore a JPEG file may be saved many times without losing quality, provided that only measurements were performed, without actually modifying the image itself.

Each time the image is re-opened also the related measurement file will be loaded, provided than it is kept in the same directory where the image is located.

Each image has its own Measurement window, to join measurements of different images in a single place, they should be sent to the Results Window, see the description for Send Data to Results Window command below to learn more.

The recorded measurements are shown in a datasheet, each measurement in a row:

The [image] icon that appears on the left of each row is a button that allows showing or hiding the measurement shown in that row, the same icon on the toolbar shows or hides all selected measurement row. Hidden measurements still appear in the measurement window, but they are not drawn on the image.

Alternatively, the View menu allows hiding some measurements in the Measurements windows. This is useful if you don't want to send all measurements to the Results window, nor use all them to draw a chart of get statistics.

The Length/Per column shows either the segment length of the measurement perimeter. In the case of angles, it shows the sum of the length of the three angle sides.

The Inv. column (the 6th one from left to right) is used to invert the angle measurement for the current row (example: 90 turns in 270°). All the other cells simply show the measurement features. Depending on the tool used to perform each measurement some cells may be blank.

The measurements can be edited at any time, also its color and font settings can be modified or they can be deleted from the image if needed.

When a measurement is modified, the values shown by the datasheet will reflect the change automatically. See also: How to modify measurements.

Measurements are numbered sequentially, therefore when one measurement is deleted the measurements numbering continuity is broken.
In case you want to keep the numbering continuity use the menu command Measurements > Clear counting gaps; it will renumber all measurements and also correct any duplicated numbering. Learn more.

Menu/Toolbar
Commands

Shortcut
keys

Description
File Menu

Export as

The Export command that can be used to save the measurements as CSV, ASCII or HTML files. Learn more.

Print

Prints the Measurements datasheet. See Print Options

Send Visible Data to
Results Window

The Results Window is meant to consolidate data from more than one image in a single database. When data is sent to the Results Window you will be asked to assign a series number to the data, in that way different measurements can be sorted out in different Series in the Results Window.

Only measurements with the [image] icon visible will be processed.

* Statistics

Ctrl-S

Opens a statistics window with the statistics for all visible measurements in the Measurements window.
All the measurements that are hidden (if any), either by clicking the [image] icon or by deselecting them in the View menu, will not be used for statistical or graphical purposes. To get further statistics, send the data to the Results Windows and get the statistics from there.

* Charts

Displays different kinds of charts. Before displaying the chart you should select which feature (length, area, angle, # points, centroid X, centroid Y, width or height).
Also is required to select if you want to graph the feature from all tools or just from some specific tool (in case you have measurements takes with different tools).
Learn more.

Edit Menu

Copy

Ctrl-C

Copies the selected cells to the Windows Clipboard.
Paste

Ctrl-V

Places a copy of cells previously copied to the Windows clipboard into the current cell location.
Copy to Excel

Starts Excel, creates a Worksheet and copies and pastes the selected cells there.

Select All

Ctrl-A

Selects all cells. Select the cells with this command before copying them if you want to copy the cells headers along with the data.

Label Move

Ctrl-L

Opens the Label Move window to move the selected measurement label up, down, right or left.

Font/Color

Opens the Set Measurement Color window, which allows to modify the lines, background and font color and the typeface for the selected measurements.

Comments

Opens the Comments window, to add or modify comments to the selected measurements. Comments are only text up to 255 characters long. Clicking the Comments text box in the Left pane also opens this window.

Delete Selected

Del

Deletes the selected measurements.

* Calculate Menu

* Calculate best-fit line

Creates a straight line that best fits the selected counter points on the current image.
At least 3 points are required.

After the calculation is done a new Segment will be added to the measurement, with the calculation results appended as comments, as the following lines show.

Upper-left origin (as set in Preferences)
y = a + x * b
a = 559.499399218985
b = -2.05181736257134
y = 559.499399218985 + x * - 2.05181736257134
r = -0.97296016350337

View

Show/Hide the selected measurements

Shows/hides one or several measurements.

Counter
Automatic Area
Segment
Polygon (Per./Area)
Angle
Rectangular Area
Elliptical Area

By selecting/deselecting these menu items you can show or hide all measurements from different tools.

This is useful if you don't want to send all measurements to the Results window, nor use all them to draw a chart of get statistics.

Left Pane

The Left Pane shows the measurements individual points/segments coordinates/length and comments.

Also it shows the Decimal positions and the Conversion factor boxes, which determine how measurements are displayed in the datasheet.
See Set Conversion Factor for more details about how Conversion factors work.

Menu

Opens this Help page.

* This feature only is available in the Professional version. Learn more.

Left Pane | Description
Points datasheet | Shows the coordinates of each point that belongs to the selected measurement (for polygons, segments and angles). In the case of counters or automatic area measurements, it shows the coordinate where you clicked.
Comments | Shows the comments attached to the selected measurement, if any. By clicking this text box the comments can be edited.


Magnifier

Magnifying Lens

Main Menu: View > Magnifying Lens
Shortcut: Ctrl-M

This command opens the Magnifying Lens window, which displays the image area around the cursor position in a separate window with zoom selectable from 4 to 20x.

The M button turns on and off displaying the Measurements layer in the Magnifying Lens window.

The > button enlarges or reduces the Magnifying Lens window size.


Some useful keyboard shortcuts

Keyboard shortcuts are one, two or three-keystroke combinations you can press to perform a command, access a dialog box or modify how the measurement tools work.
The following shortcuts are available only when at least one image is opened.

To | Press
Turn on temporarily the [image] Hand Grabbing Tool. | SPACEBAR
Delete a control point | CTRL and click the point..
Draw orthogonal lines or perfect circles or squares. When moving control points, keep them in line with the previous point. | SHIFT
Move the first point without actually closing the path, press the Alt key while clicking it. | ALT while clicking and dragging the point.
Show / Hide the Magnifying Lens | CTRL-M
Set Zoom | F2
Zoom Out | F3
Zoom In | F4
Move the cursor 1 pixel | Any of the arrow keys
Move the cursor 10 pixels | SHIFT + Any of the arrow keys
Move a selected control point | Use the arrow keys (and optionally SHIFT) while keeping pressed the mouse button on the selected control point.
Show / Hide the Measurements window | CTRL-G


Color Channels

Most computer applications specify color in three-component systems such as RGB (Red, Green, Blue), HLS (Hue, Luminance, Saturation), or HSV (Hue, Saturation, Value). Bersoft Image Measurement can perform statistical methods on RGB and HSV channels (see Array/Band Analyzer, Statistics and Pixel profile), and adjust HSV channels as well (See Channels window).

Grayscale Images

This images have a single 8 bits channel, allowing representing 256 gradations of gray. A 0 value represents the black color and 255 is pure white.

RGB Channels

The RGB model, one of the Additive Color models, is used on computer monitors. It has three primary colors: red, green, and blue, that it creates by emitting light. These three colors are combined in various proportions to produce all the colors displayed on your screen. They are referred to as additive because they combine to produce white.

Primary colors are measured as a value from 0 to 255. The colors produced by combining the three primaries are a result of the relative value of each primary. An absence of the three primaries colors, all three values of 0, results in black; when all three have values of 255, they produce white.

Graphic applications for the PC (Personal Computer) usually employ this color space because this model maps well to the way the common Cathode Ray Tube (CRT) display works.

RGB to Grayscale conversion

Pixel values in grayscale images are based upon luminance.

When luminance is computed from red, green and blue, the coefficients will be a function of the particular red, green and blue spectral weighting functions employed, but the green coefficient will be quite large, the red will have an intermediate value, and the blue coefficient will be the smallest of the three.

The coefficients that Bersoft Image Measurement uses to compute luminance from linear red, green and blue are these:

Y = 0,2126 R + 0,7152 B + 0, 0722 B

The coefficients 0.299, 0.587 and 0.114 properly computed luminance for monitors having phosphors that were contemporary at the introduction of NTSC television in 1953, however, these coefficients do not accurately compute luminance for contemporary monitors.

HSV and HSL Channels

Hue is the attribute of a visual sensation according to which an area appears to be similar to one of the perceived colors, red, yellow, green and blue, or a combination of two of them.

Saturation is the colorfulness of an area judged in proportion to its brightness. Saturation runs from neutral gray through pastel to saturated colors. A vivid color usually has a high saturation level (not much gray). As the saturation decreases, the amount of gray increases, and the color becomes less vivid.

Value (HSV), or Luminance (HSL) are related to the brightness.

The Hue Channel is shown from 0 to 359 degrees (0º = 360º = Red); both Saturation and Value channels are shown in gray scale from 0% to 100%.

RGB Color space equivalence to HSV Channels
 |  | HSV Channels values |  |  | RGB Channels values
 | Color | Hue Degree | Saturation % | Value % | Red | Green | Blue
 | Red | 0º = 360º | 100 | 100 | 255 | 0 | 0
 | Yellow | 60º | 100 | 100 | 255 | 255 | 0
 | Green | 120º | 100 | 100 | 0 | 255 | 0
 | Cyan | 180º | 100 | 100 | 0 | 255 | 255
 | Blue | 240º | 100 | 100 | 0 | 0 | 255
 | Magenta | 300º | 100 | 100 | 255 | 0 | 255

What is the difference between HSL and HSV spaces?

HSL and HSV are quite similar color spaces. Actually they are the different forms of HSV cylindrical space. The difference is that in HSV space to get white color you should set Saturation to "0". But in HSL space at L=1 you get white regardless the saturation value.


Limitations

  • Manual measurements are always drawn as 1 pixel with lines.

  • The measurements range for calculations is 3.6 x 10^–4951 .. 1.1 x 10^4932, that means 19 to 20 digits.

  • The maximum image size is about 7500 x 5000 pixels.

  • Bersoft Image Measurement (BIM) can open many windows simultaneously, showing Statistics, Charts, Results, images, etc.
    After switching to another program and coming back to BIM, the stacking order of the windows opened inside BIM workspace may change and some window may move to the bottom, underneath another window, and disappear from view.
    To make the window come back on-screen simply minimize or resize the windows that are visible inside BIM workspace, if some windows are maximized, restore them to normal state (not maximized), to reveal all the hidden windows below.
    Alternative you can also press Alt-Tab until the window appears again.

  • If there are many measurements on the image (specially area measurements), drawing new measurements may get slower. In such cases, to avoid delays would be advisable to hide temporarily some measurements.

Related Topics:

Maximum image size

Printing Issues

Measurement Precision


Maximum image size

The maximum image size that can be processed without problems is about 7500 x 5000 pixels, that is 37,500,000 pixels.

There are a number of factors that can affect the maximum image size that the program can handle.

  • System RAM size.

  • Free disk space available for virtual memory swapping.

  • Operating system policies on memory allocation. Windows NT / 2000 / XP allow larger images than Windows 95 / 98 / ME.

  • The display driver can also play an important role.

  • Number of undo steps or undo limit that the program stores. Set undo limit to a lower value to save memory.

  • Number of simultaneously opened images.

  • Number of running programs.


Measurement Precision

Related Topics: How the different measurement tools work; Limitations.

In a classical mathematical definition of space, points don't have distance between them neither they have dimension, so one line can have an infinite number of points.

But digital images are composed of pixels, which do have dimension, so a line of pixels only can include a finite number of them, so any program that measures digital images faces real world limitations when measuring pixels.

Bersoft Image Measurements measures distances between control points placed on precise pixels.

A control point cannot be placed between two pixels, but only exactly on a definite pixel, so it differs from a mathematical point because it has dimension (1 pixel).

The following serial of images was captured with a zoom of 1600% to make clearly visible each individual pixel and illustrate how the program positions control points and how they differ from mathematical points.

Figure 1:
Notice that each of the two control points is exactly on top of a precise pixel.

Figure 2:
Here the user has placed the cursor on a position along the line to add a new control point. Notice that the cursor is not exactly on the center of a pixel, but is near the boundary between two pixels.

Figure 3:
The control point was placed exactly on the pixel where the cursor was positioned. The line is no longer a straight line.

In images with enough resolution this issue is not a problem, because there are enough pixel between any pair of control points as to smooth out the line.

But when the line is rendered on the Measurement Layer, it uses the original pixel in the image. So its borders look jagged:

Paint programs usually use antialiasing (smoothing of jagged lines) to display the image smoothly, but although antialiasing make the images prettier, it distorts the image, so antialiasing is not convenient when doing digital measurements. Bersoft Image Measurement always displays the real pixels in the image, not a smoothed out version.

Shared Pixels

When measuring each one of several connected segments, the control points between segments belong to the first segment (the first segment drawn).

If the first and second segments are in line (180°), the shared pixel will be counted only once, as part of the first segment, but if they are not in-line, the shared pixel will assigned to each segment.

Of course, when counting the total length of all segments (polygon perimeter), all shared pixels always are counted only once.

In all the following images, the shared pixel is painted in red color.

The shared pixel is assigned only to the first segment, which measures 3 pixels;
the second segment measures 4 pixels.
The total length is 7 pixels.

Here the shared pixel also is assigned to the first segment, but not to the second one.
The total length is 7.07 pixels, the first and second segments measure 2.83 and 4.24 pixels respectively.

Both segments measure 4 pixels each one, because they are not in line. The shared pixel is assigned to both segments.
The total length is 8 pixels.

Also in this image the shared pixel is assigned to both segments, so it is counted twice.

Vectorial and bitmap graphics

Computer graphics fall into to two main categories: Vector graphics and Bitmap graphics.

The difference between these two types is what they're made up of. Vector graphics are made up of lines and curves. Bitmap graphics are made up of pixels.

The dashed measurement lines are vectorial, so they look smooth at any zoom, but when the image is rendered to the Measurement Layer, which is a bitmap graphic, the pixels get clearly noticeable, causing pixelation (jagged lines).

How different tools measure areas

Automatic Area

Polygon

Ellipse

Rectangle

Counts the selected area pixels in the image

Counts the pixels inside the polygon.
An non-visible in-memory polygon is drawn and filled with a solid color, then the number of colored pixels is counted, including those under the 1 pixel outline.
The program uses this way to calculate polygonal areas because there are not mathematical ways completely consistent with all kinds of polygons (convex or concave) and 100% accurate.

Uses the following formula:

area = [image] * d1 / 2 * d2 / 2

d1: major diameter
d2: minor diameter

if d1 = d2, the following formula will be used instead:

area = [image] * (d / 2)2

Uses the following formula:

area = width * height

When measuring a figure with perfectly vertical and horizontal lines, like a square, all four tools will return exactly the same area, but when measuring most figures that are not rectangles you may find some differences between different tools.

If you measure an ellipse with the [image] Automatic Area tool, it will count its pixels, consequently, if no conversion factor is applied, it will always return a number without decimal fractions.

On the other hand, if the same ellipse is measured with the [image] Ellipse tool, it will use a mathematical formula instead counting the pixels, so the measurements will be slightly different, and most probably will have several decimal positions.

In fact both measurement will be correct, but mixing both them may cause errors, so it is important to know the difference between the different measuring methods.


Printing Issues

When printing data sheets, only cells with numbers and text will be printed. Cells with images or colors will not be printed.

Narrow columns that don't show the full text will be printed truncating the text.

As a rule printing follows closely what is seen on the screen, therefore if a column is truncated, it will be printed in the same way.

Alternatively, you may export as an HTML file the data sheet to circumvent these limitations, and then print it using your Internet Browser.


Supported File Types

Note: The TRIAL Version only loads images saved in the proprietary *.IMB file format.
To help people to evaluate properly Bersoft Image Measurement we can convert some images (no more than 3 of them) to the format that the Trial version handles, with no charges.
Send the images to be converted to: . We can process emails with attachments not bigger than 1 MB.

File formats for loading and saving images:

    JPEG Bitmap (JPG, JPEG,JPE), (RGB, Grayscale, YCbCr, CMYK, YCbCrK).
    Only supports saving as 24 bit color depth.

    PaintBrush: compressed and uncompressed PCX in 2,16,256 or 16M colors.
    Only supports saving as black and white or 24 bit color depth.

    Portable Bitmap: PBM, PGM and PPM.
    Only supports saving as 24 bit color depth.

    Portable Network Graphic (PNG). This format offers lossless compression and good compatibility with other applications.
    Only supports saving as black and white or 24 bit color depth.

    TIFF Bitmap (TIF, TIFF). Compressed TIFF files can be loaded, but they will be always saved as uncompressed files.

    Windows Bitmap: Compressed and uncompressed BMP in 2,16,256 or 16M colors.
    Only supports saving as black and white or 24 bit color depth.

    Targa Bitmap: DIB, RLE, TGA (TARGA, VDA, ICB, VST, PIX).
    Only supports saving as 24 bit color depth.

File formats for loading images only:

    Bersoft Image format (IMB). This is the only format supported for the TRIAL version.

    Windows Metafile (WMF) and Enhanced Windows Metafile (EMF).

    Video files (MPEG, MPG, ASF, AVI, WMV). See Frame Grabber.
    Only the professional version supports video files.     Learn more.

    DICOM. Loads uncompressed, compressed and color DICOM images (RLE, palette, RGB, YBR, lossy JPEG, lossless JPEG). Single and multiple frame images are supported.
    Reads Analyze, DICOM, GE LX, Genesis, Interfile, Siemens Magnetom Vision, Siemens Somatom and NEMA formats
    Only the professional version supports DICOM.     Learn more.

    Kodak Photo-CD (PCD). Can open 192 x 128, 384 x 256, 768 x 512, 1536 x 1024 and 3072 x 4028 pixels images.

    Photoshop (PSD, PDD).

Note: Supports black and white, 8-bit grayscale, 8-bit paletted and 24-bit RGB images.


System Requirements

Display:

Minimum: 256 color and 800x600 pixels screen size.

Recommended: 24 or 32 bit True Color and 1024x768 pixels screen size or more.

Microsoft Windows 95/98/2000/ME/XP™ or Microsoft Windows NT™ Operating System.
Windows 2000 or XP are recommended.

Bersoft Image Measurement supports TWAIN scanners.

Memory :

 | Windows 9.x/ME/NT | Windows 2000 | Windows XP
Minimum | 64 Mb | 128 Mb | 256 Mb
Recommended | 256 Mb | 512 Mb | 1024 Mb

More RAM will significantly improve Bersoft Image Measurement's performance and increase the number of images that can be opened simultaneously.

The amount of RAM need is also related to the size of the images and how many other programs are running in the background at the same time than Bersoft Image Measurement.

Hard drive:

The computer should have a C: drive. Learn more


What is the identificatory number?

After Bersoft Image Measurement is installed on a computer it generates a unique identificatory number called ID #, which is based on the hard disk C: volume serial number.
Because there is a direct connection between the activation file and the C: volume serial number, if the hard disk is replaced, formatted or partitioned or the file system changes from FAT32 to NTFS (like may happen when installing Windows XP), the ID # may change.

The ID # is always shown at the bottom of the About window.

The ID # is used to generate the activation file, which in turn enables Bersoft Image Measurement. Therefore, if the program is installed on another computer or the hard disk is replaced, the ID # will change and a new activation file will be required to enable Bersoft Image Measurement.

We can supply additional activation files without any additional charges to all our customers, up to three files in a year.

That means three in the first year, other three in the second, and so on. If no additional activation files are requested one year, that does not grant the right to ask for additional activation files the next year.


Differences between the Professional and Standard versions

Some features are only available in the Professional version of Bersoft Image Measurement. The following tables shows which features are not supported by the Standard version. All the other features not mentioned here are available in both versions.

Feature | Standard version | Professional version
Charts | Not Supported | Supported
Database | Not Supported | Supported
Array/Band Analyzer | Not Supported | Supported
Statistics | Not Supported | Supported
Pixel Profile | Not Supported | Supported
Find Objects | Not Supported | Supported
Dicom images reading | Not Supported | Supported
Video files reading | Not Supported | Supported
Best-fit line calculation | Not Supported | Supported
Price | u$s 399.- | u$s 699.-
Note: It is possible to upgrade from the Standard to the Professional version at any time, provided that both versions have same major version number (3.x, 4.x, etc.), by paying the difference between them plus 20 dollars.
Buy


Toolbar

Main Menu: View > Toolbar

The different buttons on the toolbar are not always active, some of them are only available when an image is active or under some circumstances. If a command is unavailable, its button is grayed-out.

Icon | Shortcut | Description
 | Ctrl+O | Displays the Open Image dialog box.
 | Ctrl+S | Saves the active image. Press SHIFT to open the Save As... dialog instead. If the image is not modified at all this button will look slightly different: , and it will open the Save As dialog instead saving directly the image.
 | Ctrl+A | Opens the Acquire Window.
 | Ctrl+P | Opens the Print Setup dialog box to select printer, page orientation, and different printer settings, before printing the image.
 | Ctrl+C | Copies either the active selection or whole image to the clipboard.
 | Ctrl+V | Pastes the image in the clipboard as a new image (doesn't work in the TRIAL version).
 | Ctrl+Z | Reverses the last change made to the active image.
 | Ctrl+Alt+Z | Re-applies the action on which you have used the Undo command before.
 |  | Opens the Set Conversion Factor window, to calibrate, edit, load or save the measurement conversion factor.
 | Ctrl+G | The Measurements window is the place where all measurements are automatically recorded.
 | Ctrl+N | The Notebook button opens the window with the same name.
 | Ctrl+Alt+D | Opens the Database Window.
 | F7 | Opens the Array/Band Analyzer Window.
 | F8 | Opens the Statistics Window.
 | F9 | Opens the Pixel Profile Window.
 | F10 | Opens the Find objects Window.


Menu File

Command | Shortcut keys | Description
Open image | Ctrl+O | Loads and display images.
Browse | Ctrl+B | Opens the Thumbnail Browser, for previewing and browsing files.
Database | Ctrl+Alt+D | Opens the Image Database window, from where you catalogue your images.
Save image | Ctrl+S | Saves the active image.
Save image as... |  | Saves the active image under other name or other file type.
Revert to saved |  | Reverts to the original image.
Export Matrix | Ctrl+E | Exports the image channels to an ASCII matrix.
Close |  | Closes the active image window.
Close All |  | Closes all image windows.
Acquire Image |  | Opens the Acquire image Window or allows configuring which TWAIN device is going to be use for scanning.
Print... | Ctrl+P | Prints the active image.
Print Preview... |  | Previews how the image will look when printed.
Exit | Ctrl+Q | Closes Bersoft Image Measurement.
Below the Exit command the most recently used 5 image files are shown.


Open image command

Open image

Main Menu: File > Open Image
Shortcut: Ctrl-O
Toolbar button:

Allows selecting and previewing images before opening them.

See also: Supported file types.


Browse for Images

Main Menu: File > Browse
Shortcut: Ctrl+B

The Browse for Images windows allows navigating through the computer folders. When you click a folder, thumbnails of the images than Bersoft Image Measurement supports will appear on the right side of the window.

Select an image thumbnail to see image information on the status bar: width (W:), Height (H:), size in KB and the image path. Double click on any thumbnail to open the image.

Thumbnails size may be modified by writing the desired size in Width and Height text boxes.


Image Database

Database

Main Menu: File > Database
Keyboard: Ctrl-Alt-D
Toolbar button:

From this window you can open and create database for cataloguing your image files.

All the image types supported for measurements, with the exception of DICOM and Video files can be catalogued in the database.

The first time this window is opened, the files image.dbf, image.dbt and image.mdx are automatically created into the program folder. Any changes to the database are automatically saved when the windows is closed.

The database contains the Path, Filename, Date, Width, Height and size of any image included into it.

By double clicking on any image record, the related image is opened by Bersoft Image Measurement.

Right click on any field record title to sort records by that field, click again to invert the sorting order.

Image Database Toolbar

Open/Create Database button [image] displays the Open/Create dialog, to opening or creating an image database.
To create a new Image Database: navigate to the location and write the filename you want to use.
To open an existent Image Database: select the database file.

Insert Database button [image] opens a dialog box when you can select the database file to be inserted into the current database file. Both databases will be fully merged.

Add images menu button allows adding selected image files or folders to the current database.

If you select Files you will be able to select multiple files. If you select Folders the Inclusion Criteria window will be shown.

When adding images from folders, all image files inside the selected folder and all subfolders are going to be included, unless you specify some inclusion criteria to filter out some images.

You can filter out images by file extension, file size or file date.

The bottom text box allows filtering images by characters in the path or filename. When adding files, each image has an specific pathname, like c:\images\moon\meteor1.jpg. The full pathname is taken in account, so if you write some characters in the bottom text box only the files including such characters in the pathname are going to be included (it is not sensible to upper/lower case).

Refresh [image] checks each file in the database and removes orphan records (in case the files were deleted). It also actualizes the file date and size (if Read size option is checked) fields.

Remove deleted records command removes permanently all records marked for deletion (the red ones).

If you wish delete all records from your database opened, select Delete all records option.

Modify image location button [image] opens a window for updating paths in the database, in case images have been moved from one folder or disk to another. In the example on the right side, the path of all images placed into the h:\image\brs\ will be modified to point to C:\brs\.

Database navigation buttons

First: Goes to the first record.
Prior: Goes to the previous record.
Next: Goes to the next record.
Last: Goes to the last record
Delete: Marks the current record as deleted (red color) or undeleted.

The record will be permanently removed from the database only after selecting Remove deleted records from Remove records button.
Post: Writes changes in the current record to the database.
Cancel: Cancels edits to the current record and restores the record display to its condition prior to starting edit (it works like undo). Records are automatically saved when moving from one to other or when clicking Post.

Setting a Filter using keywords

The keywords field is intended for writing keywords, separated by commas. A keyword can be a single or several words separated by spaces. Different keywords can be written into each record, in order to category your records

After each record has the proper keyword(s) assigned, you can set a filter to display a subset of the database records. After setting a filter, only the records that have the specified keyword or keywords will be shown.

Each time the Database window is opened, a keywords list is built. Clicking on the arrow at the right of the filter text box displays the list.

Example: If you wrote spring, fall in the filter box, as shown below, as soon the Set button is pressed, all records that doesn't include spring or fall in its keywords field, will be hidden.

The AND, OR buttons affect how records are filtered out. If OR is selected, records with either spring or fall in the keywords field will be shown, but if AND is selected, only records with both spring and fall words are going to be displayed.

Clicking on Clear cancels the filter and displays all records again.

Keywords are not sensible to upper or lower case.

Limitations

The keywords field can hold up to 100 characters (including spaces and commas).

The comments field can hold up to 32.000 characters.


Save image command

Save image

Main Menu: File > Save
Shortcut: Ctrl-S
Toolbar button:

Actualizes the image file, writing any changes to it. If the image was not saved previously it opens the Save As dialog.


Save image as...

Main Menu: File > Save image as...
Toolbar button: + SHIFT

This command saves an image under a different filename or as a different file type.

The Merge Measurements check box only appears if there is at least one measurement recorded with the image.
If this option is selected the program will remember that until it is closed, with each time the program starts Merge Measurements will be unselected by default.

See also Saving Measurements.

The Advanced button may appear or disappear according to the selected file format, because not all file formats have Advanced options to set.
Clicking the Advanced button opens the Save: Advanced Options window for setting saving options. The options are different for each file type.

JPEG quality may be set by clicking Advanced... That setting will be remembered for future use, even after the program is closed.
Because JPEG uses lossy compression, which discards data, be sure to save the file as the final step and to save it only one time.

Images can be saved in any of the image formats supported by Bersoft Image Measurement, see also: Supported File Types


Revert to saved command

Revert to saved

Main Menu: File > Revert to saved

Reloads the last version of the image from the hard disk, so all changes made to an image since it was saved for the last time are reverted. Apply this command when you want backing up to your original image. This command is not enabled unless the image is modified in any way.

Related command: The Undo button [image] reverses the last change made to the active image.


Export matrix window

Export Matrix

Main Menu: File > Export
Shortcut: Ctrl-E

Bersoft Image Measurement allows exporting RGB, HSV, 8 Bits channels values to generate a matrix with the decimal or hexadecimal values of the image pixels to process the values in another application. The matrix can include the grayscale, Red, Green, Blue, Hue, Saturation or Value channels. The matrixes are saved as ASCII files.

The following figure shows the matrix configuration that Bersoft Image Measurement builds by default.


Acquire image command

Acquire image

Main Menu: File > Acquire Image
Toolbar button:
Shortcut: Ctrl+A

Bersoft Image Measurement supports most TWAIN-Compliant devices such as scanners. When Bersoft Image Measurement starts, it scans your computer to see if some TWAIN device is installed, and if some is found, the Acquire command will be enabled.

In case you have several TWAIN devices, please select which one you wish use from File > Acquire Image > Select source menu, before acquiring the image.

The Acquire command opens the scanning window of the selected TWAIN device.

Each scanned image will be opened in a new image window.

Note: The TRIAL version cannot make measurements on acquired images.


Print command

Print

Main Menu: File > Print
Shortcut: Ctrl-P
Toolbar button:

Opens the Print Setup dialog.


Print Preview window

Print Preview Main Menu: File > Print Preview
Use the Print Preview Window to set and preview how an image is going to be printed. The Print Preview window displays the image within the page outline. There are 5 buttons on the left side of the window: Print, Setup, Zoom In, Zoom Out, and Close.
Buttons and options
 | Prints the image.
 | Opens the Print Setup dialog box where you can choose the printer, paper size, etc. Click OK to close the dialog box and return to Print Preview window.
 | Increases the magnification level.
 | Decreases the magnification level.
 | Shows the width and height of the printed page, using the units selected in Units listbox.
 | Closes Print Preview window.
 | Allows selecting millimeters, centimeters or inches as printing units.
 | Sets the printed image alignment.


Edit Menu

Command | Shortcut keys | Description
Undo | Ctrl+Z | Reverses the last changes made to the active image.
Redo | Ctrl+Alt+Z | Re-applies the last action or command on which you have used the Undo command.
Copy | Ctrl+C | Copies the active image or selection into Windows clipboard.
Paste | Ctrl+V | Pastes in a new windows the image or selection from the clipboard. (Disabled in the TRIAL version)
Edit with external editor. |  | Allows editing the current image with the image editor set in Preferences Window.
Preferences... |  | Opens the Preferences Window.


Undo/Redo commands

Undo/Redo

Main Menu: Edit > Undo and Edit > Redo
Shortcut: Ctrl-Z and Ctrl-Alt-Z
Toolbar buttons: and

Undo

Reverses the last changes made to the active image.
The number of steps, or undo limit that the program stores is 3 by default, but it can be a set to any other value (provided that the system has enough memory) in the Preferences window.

Undo can remove painting or drawing operations, color alterations, filter effects, etc., but it cannot undo any modification that has been saved.

To remove all changes made to an image since it was saved use Revert to saved.

Redo

Re-applies the last action or command on which you have used the Undo command.


Copy command

Copy

Main Menu: Edit > Copy
Shortcut: Ctrl-C
Toolbar button:

Either the active selection (if present) or the whole image will be copied to the clipboard.

Only selections marked with [image], [image] or [image] tools allow copying.

See also:

Copy with back color


Copy with back color

Main Menu: Edit > Copy with back color

Either the active selection (if present) or the whole image will be copied to the clipboard.

Use this menu only when selecting with the [image] or [image] tools.

The only difference between Copy with back color and Copy is than with this command the space between the pasted image and its borders will be filled with the background color specified in the Tools Palette., but with Copy, it is always filled with white color.


Paste command

Paste

Main Menu: Edit > Paste
Shortcut: Ctrl-V

Creates a new image from the contents of the clipboard.

This command doesn't work in the TRIAL version.


Edit with external editor command

Main Menu: Edit > Edit with external editor

Allows editing the current image with the image editor set in Preferences window.

If the image has measurements, take care of saving it before opening with another program, so you can reload it afterwards without losing any measurement, using the File > Revert to saved menu command.


Preferences window: Saving tab

Preferences: Saving tab

Main Menu: Edit > Preferences

The settings specified in the Preferences Window determine how Bersoft Image Measurement works.

The Preferences Window is divided into four tabs, click any of them to see its description, below the tab image.

  • Ask for Saving images before closing: If selected the program warns you to save changed images before they are closed. Otherwise, the images will be closed without warnings and they will not be saved.

  • Measurement Merging Options when saving the image: This option only influences how the Save command works. When using Save as, always the user can select the merging options before saving the file.
    By default image measurement layers are saved as external files, but they can also be saved as a single image file merging them with the image. Learn More.

  • JPEG Quality: Sets how much JPEG files will be compressed when saving them. If quality is set to best the files will be bigger (less compressed), lower quality will reduce the file size.
    Because JPEG uses lossy compression, which discards data, be sure to save the file as the final step and, if possible, to save it only one time.


View/Hide Display Adjust bar

Hide Display Adjust bar

Main Menu: Image > Display Adjust bar

This bar is shown on top of the image window.

It allows changing how the image is displayed, but it doesn't modify the image in any permanent way, unless the Apply button is clicked.

The Reset button sets back Brightness, Contrast and Gamma value to its original values, so the image is displayed without modifications.

After clicking Apply, click z to set back the image to its original condition.


View/Hide Grid

Main Menu: Image > View/Hide Grid

Shows or Hides the grid.

The grid doesn't affect measurements at all, it is simply a visual aid and is drawn on top of the image.

The grid spacing and color can be set at any size and color by using the Preferences window.


Adjust Submenu

Main Menu: Image > Adjust

The commands in this menu only work on the image, not on the image Layers.

Command | Description
Subtract Background | Compensates for background color.
Histogram | The Histogram is a graph that displays the frequency distribution of red, green, blue or grayscale values.
Channels | Modifies the brightness of each color channel. Using this command you can colorize a gray scale image.
Invert | Inverts the colors in an image or area. You may use this command to make a positive black-and-white image negative or to make a positive from a scanned black-and-white negative. When you invert an image, the brightness value of each pixel in each image channel is converted to the inverse value on the 256-step color-values scale. For example, a pixel in a positive image with a value of 255 is changed to 0, and a pixel with a value of 10 to 245.


Substract Background

Subtract Background

Main Menu: Image > Adjust > Subtract Background

This command only works with positive images having a background brighter than the area to be analyzed.
It is intended mainly for grayscale images, if applied on color images they will be converted to grayscale.

After choosing this command an Information dialog box will appear asking you to select a background area in the image.

Follow the instructions (as shown in the image above), then an Input Box dialog will appear showing the medium pixel value in the selected area.

All pixels with the same value or with a value above the sample pixel value are going be converted to white. Darker pixels will be lightened, subtracting from them the difference between 255 and the pixel value.

Click the OK button if you accept the proposed pixel value, otherwise you can modify the value or click Cancel.


Adjustable Histogram window

Adjustable Histogram

Main Menu: Image > Adjust/Histogram
Shortcut: Ctrl-H

The Histogram is a graph that displays the frequency distribution of the different image channels, depending on the Color Space selected (when the image is grayscale, the Color Space pane will not be visible:

  • RGB: red, green, blue, or
  • HSV: hue, saturation value, or
  • HSL: hue, saturation, lightness.

For each Color space it is possible to show any of its different planes by selecting it in the Plane pane.

The histogram describes, in a graphic form, the contrast and dynamic-range characteristics of the image. A histogram is displayed as a two-dimensional graph. The horizontal axis represents the lightness values of the image from black (value 0) to white (value 255, for RGB Color Space; other color spaces show different scales). The vertical axis indicates the number of pixels at each value. In general, the histogram gives a clue as to what contrast enhancements will improve the image. At a lightness level where there are many pixels of one of the values, the corresponding line spikes; where there are few pixels, it appears close to the horizontal axis. In dark images, most of the pixels are grouped at the left side. If an image is too light, the pixels are grouped at the right.

Both the equalization handlers, the Levels text boxes, the Equalize button and the Statistics check box only will work when selecting RGB as Color space.

Because not always the pixels in an image cover all brightness range, by stretching the pixels values to the full range, the image contrast may be improved.

An image histogram can be stretched in two ways:

  1. Manually, by dragging the equalization handlers over the image (see next topic below for more information about that).

  2. Automatically, by clicking on Equalize button, to distribute the lightness values of the pixels more evenly across the light spectrum from black to white. Equalize makes the darkest pixel as close to black and the lightest pixel as close to white as possible and distributes the remaining pixels evenly between these two values. This produces an averaging, or tempering, of the brightness in the image.

Equalization Handlers

The [image] low value, [image] gamma and [image] high value equalization handlers, below the histogram, are used to adjust the tonal range and color balance of an image by adjusting intensity levels of the image's shadows ( [image]), midtones ( [image]), and highlights ( [image]).

To adjust the shadows and highlights manually drag the [image] and [image] equalization handlers to the edge of the first group of pixels on either end of the histogram.

If your image needs midtone corrections, use the [image] gamma handler to correct them. Moving the gamma handler to the left makes the overall image lighter. It maps a lower (darker) level up to the midpoint level between the other two equalization handlers. If the low [image] and high [image] handlers are in their default position (0 and 255), the midpoint would be level 128. In this example, the shadows expand to fill the tonal range from 0 to 128 and the highlights get compressed. Moving the gamma handler to the right has the opposite effect, making the image darker.

The low, midpoint and high points can be also set by using the Levels text boxes, instead dragging the equalization handlers.

Show Channel: This option only is available when selecting a single plane, not when selecting RGB Comp., and it displays only the selected plane in the image window, instead the composite image. By clicking OK or Apply the image will be replaced for the selected channel.

Statistics: Shows the statistics for the histogram.

Print: Prints, either the histograms for all channels or the image channels.

Copy: Copies the histogram to the Windows clipboard.


Channels window

Channels

Main Menu: Image > Adjust > Channels

The Adjust Channels window allows modifying selectively the brightness in each image channel.

Each tab in the Channel window is intended to adjust the image pixels colors, by using different channels arrangements.

The image may be divided into different channels:

  1. RGB: Red - Green Blue

  2. HSL: Hue - Saturation - Luminosity

If the entire image is not visible in the image window, you can use the navigation buttons [image] to bring another area of the image into view or to zoom in or out the image.

Click Restore to undo any changes applied to the image.
Only if Auto Apply is selected or if you selected Apply once, changes will be applied to the image, otherwise the will be only previewed.

To apply the changes to the image either click Apply, select Auto Apply or click OK to apply the changes and close the window.

Use the R buttons, close to each channel slider, to reset that channel to 0.

See also Color Channels


Invert Command

Invert

Main Menu: Image > Adjust > Invert

Inverts the colors in an image or area. You may use this command to make a positive black-and-white image negative or to make a positive from a scanned black-and-white negative. When you invert an image, the brightness value of each pixel in each image channel is converted to the inverse value on the 256-step color-values scale. For example, a pixel in a positive image with a value of 255 is changed to 0, and a pixel with a value of 10 to 245.


Filters window

Filters

Main Menu: Image > Filters
Shortcut: Ctrl-Alt-F

There are two kinds of filters, which can be applied on images or selected areas.

1. 3x3 spatial convolution filters

A 3x3 Filter is a set of actions that combines each pixel of an image with the surrounding pixels. Combining is performed through a kernel which is a 3x3 matrix. Pixels inside the kernel are used for calculation for the output image, which usually is located at the center of the kernel.

You can create new filters and save them using the Save button. After all desired values for 3x3 kernel and divisor are entered, try your filter on the current image. If you want to save this filter as an user defined filter, use the Save button.

2. Morphing filters

Morphing filters may be used for removing artifacts or enhancing, dilating or eroding edges from the image. Notice how the straight lines are removed from the above image by using a Closing filter.

Window size determines the filter strength.

Image Navigation controls

If the entire image is not visible in the image window, you can use the navigation buttons [image] to bring another area of the image into view or to zoom in or out the image.

Click Restore to undo any changes applied to the image.

Only if Auto Apply is selected or if you selected Apply once, changes will be applied to the image, otherwise the will be only previewed.

To apply the changes to the image either click Apply, select Auto Apply or click OK to apply the changes and close the window.

If Auto Apply is selected, the filter will be applied as soon it is selected from the list, but when its values are modified. You should click Apply after you finished adjusting filter values to preview its effect.

If Additive is selected, each new selected filter will be applied on top of previous ones, otherwise the filter will be applied on the original image.


Channels Submenu

Main Menu: Image > Channels

Command | Description
Get HSV Channels | Splits he image channels into three images with the names Hue, Saturation, and Value.
Get RGB Channels | Splits the image channels into three images with the names Red, Green, and Blue.


Get HSV Channels Command

Get HSV Channels

Main Menu: Image > Channels > Get HSV Channels

Splits the image into three separate image channels with the names Hue, Saturation, and Value. Each channel is shown in gray scale.

Different from RGB channels, HSV channels are more related to human eye than to computer hardware.

See also Color Channels.


Get RGB Channels Command

Get RGB Channels

Main Menu: Image > Channels > Get RGB Channels

Splits the image into three separate image channels with the names Red, Green, and Blue. Each channel is shown in gray scale.

Different from HSV channels, RGB channels are more related to computer hardware than to human eye.

See also Color Channels


Submenu Colors

Main Menu: Image > Colors

The commands in this menu only work on the image, not on the image Layers.

Command
Description
Convert to 24 bit color

Increases the color depth of the image to 24-bit color depth.

Convert to Black and White

Turns the image into a black-and-white image. A 1-bit image can display just 2 colors, black and white

Write into Threshold text box levels from 1 to 255 or click the auto button. All pixels with brightness values below the Threshold level will become black, and pixels above that value will become white.

Using the Ordered Dithering method intermingles pixels to produce patterns. Images may appear to be composed of cross-hatches and dots.

Reduce Colors

Opens the Reduce colors dialog box that allows setting the number of colors you wish reducing the image.

Gray Scale | Reduces colors to a 256 levels grayscale image. The grays in the image are based upon the brightness of the corresponding pixels in the original image. Learn More.
Convert Gray Scale to False Color | Maps the grayscale levels in the image to the visible spectrum color range.


Submenu Transform

Main Menu: Image > Transform

The commands in this menu only work on the image, not on the image Layers.

Command | Description
* Rotate | Rotates an image around its center point.
* Flip Horizontal | Mirrors an image along its horizontal axis.
* Flip Vertical | Mirrors an image along its vertical axis.
* Resize | Resizes an image.
Merge | Combines two images between them.

* If the image has measurements, before performing this command you should delete or merge them with the image.


Rotate window

Rotate

Main Menu: Image > Transform > Rotate

The degree of rotation goes from -180 to +180, without decimals.

The Flip buttons allow mirroring the image horizontal or vertically.

Warning: Very large images may not be rotated correctly.

If the image has measurements, before performing this command you should delete or merge them with the image.


Resize window

Resize

Main Menu: Image > Transform > Resize

Resamples the image modifying its width and height.

To specify the new image dimensions you can write the pixel size or the percentage of enlarging or reduction.

To change the proportions of the image, clear the Aspect ratio check box. Aspect ratio is the relationship of the image’s width to height.

Different filters may be applied to the image while it is resized. Filters can be selected in the filter list.

If the image has measurements, before performing this command you should delete or merge them with the image.


Merge window

Merge

Main Menu:
Image > Transform > Merge

Combines two images together to create a merged image. Also you can combine and merge channels from the original image.

Open the first image and then select Image > Transform > Merge to browse for the second image. Then the merge window will appear.

How merge works

The opacity of both images can be set, from 0 (fully transparent) to 255 (fully opaque).

The horizontal and vertical offset moves the front image. Moving the image may be useful when both images don't have the same size.

A Zoom control is provided here because the normal zoom command is disabled while merging images.


Measurements menu

Menu Measurements

This menu shows only two commands if no images are opened:

Command | Shortcut keys | Description
Results window | Ctrl+R | Shows / Hides the Results window.
Adjust Conversion factor |  | Opens the Adjust Conversion Factor window.

If at least one image is opened, the additional commands will be appended to the menu.

Command
Shortcut keys/
Submenus
Description

View/Hide Measurements

By default the measurements are drawn on the image along with its labels, but both them will be hidden if this option is unselected.

View/Hide Measurements window

Ctrl-G

The Measurements window is the place where all measurements are automatically recorded.

View/Hide Centroid

Each measurement Centroid is displayed as a cross, but if this options is unselected, it will be not shown.

Labels Display

Measurement

The Measurement Labels can display the measurement value, the measurement name, both them or nothing.
When displaying the value, it will be shown using the decimal positions specified in the Measurement window Decimal positions text box.

The [image] counter tool either will display the counter number or nothing, if Hide is selected.

Name

Measurement & Name

Hide

Move Label (Ctrl-L)

Opens the Label Move window to move the selected measurement label up, down, right or left.

Merge measurements (flatten image)

Merges all the measurements with the image.

After measurements become part of the image they cannot be separated or modified in any way.

If the image was not saved you can use Revert to saved to get back the measurements (as editable objects, separated from the image background), but if the image was saved after merging the measurements, there is no way to get back the measurements.

Clear All Measurements

After asking your confirmation it will clear all the image measurements.

Clear Selected Measurement

Del

After asking your confirmation it will clear the selected measurement.

Clear counting gaps

Use this command to clear the gaps that appear between measurements numbers after deleting measurements.

Each new measurement is numbered sequentially starting from 1 and each different kind of measurements has its own counter.

Warning: If the image has several series of counter measurements, all having similar numbers, they will be converted to a single series, with sequential numbering without duplicated numbers.

Note: Only the counter tools allows resetting manually its counter, by right clicking on the [image] counter icon,

Cancel Measurement

Cancels the measurement that is being edited or done.


View menu

Command | Shortcut keys | Description
Zoom | F3 F4 | Sets the active image zoom F3: Decreases the zoom. F4: Increases the zoom.
Magnifying Lens |  | Shows or hides the Magnifying Lens Window.
Status Bar |  | Shows or hides the status bar.
Toolbar |  | Shows or hides the Toolbar.
Tools Palette | F5 | Shows or hides the Tools Palette.
Selection Palette | F6 | Shows or hides the Selection Settings Palette.
Array/Band Analyzer | F7 | Opens the Array/Band Analyzer Window.
Statistics | F9 | Open the Statistics Window.
Pixel Profile | F9 | Opens the Pixel Profile Window.
Find Objects | F10 | Opens the Find Objects Window.
Notebook... | Ctrl+N | Opens the Notebook Window.
Image Information | Ctrl+I | Open the Image Information Window.


Zoom menu

Zoom

Main Menu: View > Zoom
Shortcut: F2
Zoom Out: F3
Zoom In: F4

The Zoom menu allows enlarging, reducing or setting an specific zoom percentage.

Zoom may be set from 1 to 1600%.

Only zoom percentages that are exact multiple of 100% are allowed when setting a zoom larger than 100%.

To increase or decrease the magnification select View/Zoom command and choose the percent magnification you need.

Alternatively you can select the Zoom tool [image] in Tools Window, when this tool is selected the cursor changes into a magnifying glass. Left click enlarges the image and right-click reduces it.

You also can specify the image zoom value in the zoom text box in the Status Bar on the bottom left side of the workspace window.

See also: Magnifying lens.


Array/Band Analyzer

Main Menu: View > Array/Band Analyzer
Shortcut: F7
Toolbar button:

Use this window to analyze grided arrays, 1D gels, dots and slots or band blots and other basic arrays or whatever kind of images arranged in grids or bands you have.

The first step is selecting what kind of array or bands you want to analyze.

In fact both Dot and Band blots use a fairly similar window:

In case you selected Dot blot, the Analyzer will draw elliptical selection objects, otherwise it draws rectangular ones. The buttons on the Analyzer toolbar change according to the initial blot shape selection.

Band blot toolbar
Dot blot toolbar

Although the Band blot is intended for bands and Dot Blot for arrays, you can use both them interchangeably.

Image Loading

The first step is loading an image or selection into Analyzer window. Several buttons and Menus are going to stay disabled until and an image or selection is loaded by using the Image Menu.

Image Menu | Description
Load from selection | Loads the image from the active selection, or if there is no selection, from the active image window. NOTE: Important notice about loading from selections.
Load from current image | Loads the image from the active image window.
Load from file | Opens an Open file dialog to select the image to be loaded.
Print | Opens a Print setup dialog box.
Save as... | Allows saving the pixel profile graph as a Window Bitmap (BMP), Window Metafile (WMF) or Enhanced Window Metafile (EMF) files.

After loading an image you should define where are the blots in the image, by drawing selection objects manually or by drawing one grid.

By default, the Draw Grid button ( [image] or [image] depending on the Dot shape chosen) is selected when Analyzer window appears for the first time. That means that if you click and drag over the image a grid selection box will be drawn. The following steps show how to draw and set a grid selection box:

  1. Set the number of columns and rows for the objet grid using the Columns and Rows text fields in Grid tab.
  2. Create the grid on the image, by clicking and dragging from the left object at the top to the right object at the bottom (drag from object center to object center). A dashed rectangular selection will appear on your image.
  3. Click on Draw button. The individual objects (rectangular or circular ones) will appear on the image.
  4. In order to align the selection objects correctly on the dots, modify the grid properties adjusting HSpace, VSpace, and the coordinates by modifying the X1, Y1 (top left) and X2, Y2 (bottom right) values. Click on Draw again after modifying the settings (the Clear checkbox takes care of erasing the previous grid before drawing a new one, if selected).
  5. Reposition, resize or delete individual objects (optional). You can select several objects at once, if needed. After you click the Draw button the Select button [image] will be selected instead the Draw Grid button ( [image] or [image]). While [image] button is selected you can resize and move objects. You can also delete any selected object/s by clicking on Delete [image] button.

If you find difficult to resize the objects, try changing the zoom to 100%.

If you delete a full row or column after calculating the statistical data, please set the proper number of rows or columns in the Rows or Columns text fields and click again the Calculate button.

Optionally you can draw manually each object using the Add Object ( [image] Circle or [image] Rectangle) button.

After setting the placement of the Blots, click on Calculate button (is on Analyzer toolbar) to fill the spreadsheet with the statistical data.

You can select what kind of statistical values are going to appear into the spreadsheet. Click on the Options button, on the left side of Analyzer windows to display Options tab.

Only the statistical measurements selected in this tab will appear in the spreadsheet. The Dec. Pos. text box sets how many decimals will be shown. After selecting or deselecting items just click on Refresh button to actualize the spreadsheet display.

If Percent is selected the Set column or row to use as 100% window will pop-up. More information (below in this same page).

Background Subtraction is intended mainly for grayscale images, it is the process by which you set a minimum (or maximum) pixel level (the background color). Only pixels above or below that level will be taken in account when performing the statistical analysis.

If Subtract is selected, Back/Dot % option is automatically deselected, because will be no background/dot differences if the background is subtracted.

Background subtraction is performed only if the Subtract checkbox is selected.

To set the pixel level click Set color button. The cursor over the image will change to a color picker [image] and the Background color (pixel level) will be set to the pixel color where you click. By clicking on the color box below the button, you can modify the color.

If Brighter is selected, only pixels with values above the background are going to be included in the calculation; if Darker is selected, only pixels with values below the background color level will be include.

If Brighter or Darker check boxes is selected and if Back/Dot % is specified, the Back/Dot % column will show the percentage of background or dot in each blot.

When Subtract is selected the objects that are filtered out completely will show 0 values in the spreadsheet and will be filled with the same color used for the object border, to indicate that they were not used.

If you draw the objects manually or you delete some row or column of objects after they were drawn, take care of correcting the number of columns or rows in the columns and rows text boxes, so they reflect correctly the columns and rows of objects actually drawn on the image.

After calculating the statistical data you can use the Data menu to save or export the data, besides some other options..

Data Menu
Description
Set column or row to use as 100% reference

This windows appears both called from this menu or when Percent is selected in options tabs and the first calculation is done.

Each blot will be assigned a percentage values, relative to the Mean value of the column or row set as 100%.

Adjust pixel values

Allows inverting pixel values and modifying the pixels range. See Adjust pixel values window.

Save | Saves the data Sheet. In case the data does not have any changes, this menu is disabled. If the data was not previously saved it opens the Save As dialog box.
Save As. | Opens the Save as dialog box, where you can choose the File name to save the data.
Export | CVS file | Saves the Data as a Comma delimited text file with .CSV file extension. Spreadsheets programs, including Excel and statistical programs can read this format.
HTML file | Saves the Data as an HTML file with .htm file extension.
ASCII file | Saves the Data as an ASCII (only text) file with .TXT file extension.

HTML Array Exports one single data column as an HTML page.

If Range Colors are specified and Use colors is selected, the values are colorized according to their value (Min/Max. column doesn't support Range Colors). Click on the color boxes to set the colors. In the example at the left, values below the number specified in Below will be green, values bigger than the value in Over, white, and in between values yellow.

If Include images is selected the images of each blot is included in the HTML page (as a .PNG file) In such case both the images and the HTML page are saved in the same folder.

If Display is selected, the HTML file will be displayed immediately after saving it, using the internal HTML viewer included with the program.

Other toolbar buttons

The Retardation Factor [image] button allows drawing vertical lines. It is shown only if you selected the Band Blot option.

Retardation Factor (Rf) is a measurement of position along the band. The start of the Rf line will be counted as 0 and the end as 1.The Rf for each spot will be its central point. Retardation Factor only is shown when generating a Column Histogram. More information.

The Zoom slider enlarges or reduces the image display.

The Line width [image] slider sets the line width of selected object/s and any future object.

The Object Color [image] button opens a Color dialog box to select the color of selected object/s and any future object.

Other menus

Objects Menu | Description
Select All | Selects all objects and also the Select button [image] is selected.
Delete | Deletes any selected object/s.
Object Histogram | Opens the Non Adjustable Histogram window to show the selected object histogram. Click an object on the image or its corresponding cell in the spreadsheet to select which one will be used.
Column Histogram | Opens the Column Histogram window.(only available if you selected Band blot). Select the column to be shown by clicking on a spreadsheet cell corresponding to any object on that column.
Channels menu | Sets which image channel will be used to perform the calculations. Use other channels than Grayscale only if the image is a color one. See also Color Channels

The conversion factor doesn't influence how Statistics, Pixel Profile or Array/Band Analyzer work. It only affect values written into DataSheet.


Image Statistics window

Image [image] Statistics Window

Main Menu: View > Statistics
Shortcut: F8
Toolbar button:

Use the Image Statistics Window to analyze an image, several images at once, or a selected area in a image.

Both Frequency and Descriptive Statistics can be performed on the images.

Image Menu
The Image menu allows loading the images to be processed.
Load from selection | Loads the image from the active selection, or if there is no selection, from the active image window. NOTE: Important notice about loading from selections.
Load from current image | Loads the image from the active image window.
Load from file(s) Opens an Open file dialog to select the image or images to be processed.
Several images can be selected at the same time, to process all them at once.
Calculate menu | After loading the image(s) or the selection, use the Calculate menu to perform the desired statistical analyses.
Descriptive Statistics

Descriptive Statistics include:

  • n = Sum
  • Mean
  • Median
  • Minimum and Maximum values
  • Range
  • Population variance
  • Variance
  • Population standard deviation
  • Standard deviation
  • Standard error
  • Coefficient of variation (Standard deviation / Mean * 100)
  • Skewness
  • Kurtosis

Select the channel you want to use to perform the calculation. In case you want to compare the statistics on different image channels, select several times the Descriptive Statistics command, but selecting different channels each time.

The spreadsheet will be filled with the statistical data. If Full path checkbox is selected the first Col. will include the image path before the filename.

Frequency

This command works in a similar way than Descriptive Statistics, but it produces a frequency report, based on the number of pixel in each range, as shown above.

Select the channel you want to use to perform the calculation. In case you want to compare the statistics on different image channels, select several times the Frequency command, but selecting different channels each time.

The Step/Threshold text box and the option selected in the list box below define how the frequency data is going to be grouped.

Select Step to divide the image pixel values in several ranges. If Step is set to 64, as in the left image, the program will count how many pixels have values between the ranges shown in the image above.

To count only those pixels above or below a threshold value, select either => Threshold or =< Threshold .

Repeat | Repeats the last calculation on the current image.
After getting the statistics, the data can be saved by using the Data menu.
Data Menu
Saves, opens, export and prints the data
Edit Menu
Clear all data | Erases all values from the spreadsheet
Options menu
Insert blank row between calculations | Separates different calculations with a blank row
Adjust pixel values

Allows inverting pixel values and modifying the pixels range. See Adjust pixel values window.

Histogram menu

Opens the Non Adjustable Histogram window

Menu

Opens this Help page.

The conversion factor doesn't influence how Statistics, Pixel Profile or Array/Band Analyzer work. It only affect values written into the Measurements window


Pixel profile Window

Main Menu: View > Pixel Profile
Shortcut: F9
Toolbar button:

Use Pixel Profile to display a graph of pixel values or a pixel profile from a line drawn between two arbitrary points on an image.

The Pixel profile chart always shows the pixel values as if the image were a 24 bit color image, showing the Red, Green, Blue, Intensity, Hue, Saturation and Value channels.

Generating a graph of a line of pixels may be useful in the analysis of an image. Pixel Profile allows testing and counting elements from images.

To generate a Pixel Profile graph you should draw a segment at least two pixels long with the [image] tool or select a line previously drawn (either from Measurements window or with the [image] tool).

Note: When working with grayscale images you may want to unselect all color channels in order to see only the intensity channel.

The Pixel Profile Line

The Chart tab displays a two-dimensional graph that shows distance along the line in the x axis, and pixel value on the y axis. The "Pixel Slice" is shown along the top of the graph.

The pixel profile line may include pixels that are up to 1 pixel apart from the line.

Pixel Profile Data

You can export Pixel Profile Data to another application from the Data Export Menu.

Data Export Menu | Description
CVS file HTML file ASCII file | The Export menu can be used to save the data as a CSV, HTML or ASCII file. Learn more.
Chart Menu |
Print | Opens a Print setup dialog box.
Save as... | Allows saving the pixel profile graph as a Window Bitmap (BMP), Window Metafile (WMF) or Enhanced Window Metafile (EMF) files.

The conversion factor doesn't influence how Statistics, Pixel Profile or Array/Band Analyzer work. It only affect values written into the Measurements window. That means that Pixel Profile always shows the X and Y values in pixels.

Depending on which Origin of Coordinate system was selected in Preferences, the Y axis will start on the top (default option) or the bottom of the image.


Find Objects Window

Main Menu: View > Find Objects
Shortcut: F10
Toolbar button:

Bersoft Image Measurements uses a semi-automatic method to find isolated regions of a particular color in an image.

The operation would be as follows:

  1. Open the image where you want to find the objects and use the [image] Automatic Area measurement tool, to select either the objects you want to measure or the background surrounding them. In case you clicked on the background, select Invert . If you are selecting the objects clear Contiguous.
    The objects should be completely separated from each other. Take care of adjusting precisely the selected objects area before proceeding to the next step.
    Learn more about the Automatic Area measurement tool in order to be able to select precisely the objects.

  2. After the objects are correctly selected open the Find Objects window by clicking [image] in the toolbar.
    Notice that     Find Objects will not appear unless you previously selected an image area with the     [image] tool.

  3. Optionally you can clear or add image areas to the selection, before finding the objects. To do so select the [image] or [image] in the Selection Settings Palette and click on the area you want to add or subtract from the selection..

  4. Click [image] (see the image below). Both the selected objects and its numerical values will appear.

Click on any column header to sort the table on that column.

The columns, from left to right, are:

Object # | Objects are assigned consecutive numbers when they are found in the image, which is scanned from left to right and top to bottom.
Area | Optionally adjusted by the Conversion factor.
Xc | Xc and Yc are the center of the object coordinates. Optionally adjusted by the Conversion factor.
Yc
Width | Optionally adjusted by the Conversion factor.
Height
% | Shows the area percentage with relation to the sum of the total area in the same series, or in all series, depending on if Calculate % for each series menu option is selected or not.
Color | This column has no title and shows the color of the Series to which the object belongs.
Name | The name of the Series to which the object belongs.
Obj . Series # | If there is one single series, the Obj . Series # will be the same than the Object #.

The table values may be exported or copied to the clipboard. See The Menus below for more details.

By default the objects and the background are painted with the colors specified in the Tools Palette. If more than one series is used, each series will be assigned random different colors.
Optionally click [image] to set objects series and colors. Learn more.

Menus and Buttons

Menu/Toolbar Commands | Shortcut keys | Description
File Menu |  |
Save image as... |  | Images can be saved in any of the image formats supported by Bersoft Image Measurement. See Supported File Types
Save data as... |  | The data can be saved as CSV, ASCII or HTML files. Learn more.
Send Data to Results Window |  | The Results Window is meant to consolidate data from more than one image in a single database.
Statistics |  | Opens a statistics window with the statistics for all found objects.
Charts |  | Displays different kinds of charts. Learn more.
Edit Menu |  |
Find Objects |  | Copies the data to the Windows Clipboard.
Edit Series |  | Opens the Edit Series window. Learn more.
Copy Image |  | Copies the image to the Windows Clipboard.
Copy Data |  | Copies the data to the Windows Clipboard.
Copy and Paste data to Excel |  | Starts Excel, creates a Worksheet and copies and pastes the data there.
Clear last selected object frame |  | After objects are found in the image, by clicking any object in the object datasheet, it will be selected on the image. Clear last selected object frame clears the dotted frame drawn around the last selected object.
Options Menu |  |
Use conversion factor |  | If selected, all values (area, coordinates, size, etc.) will be converted, by applying the conversion factor, if not they will be shown in pixels. Note: The intervals assigned to the series in the Edit Series window are affected by this option, because the conversion value will be applied also to them.
Include objects at edge of image |  | If this option is not selected, objects which touch any edge of the image will not be found.
Print General Object # on image |  | Objects are searched for from left to right and top to bottom and assigned sequential numbers. If this option is selected the object number will be printed on each object.
Print Series Object # on image |  | Instead printing the general object number the series object number will be printed. Learn more about series..
Calculate % for each series |  | This options only works if more than one series is set by using the Edit Series window If checked, each object percent will be relative to the series which it belong, otherwise, each percentage will be relative to the total area of all series.
Menu |  | Opens this Help page.


Notebook Window

Main Menu: View > Notebook
Shortcut: Ctrl-N
Toolbar button:

The Notebook is an small text editor, it can save the text using two different files formats:

  • ASCII text files with .TXT file extension. This format doesn't store any text formatting, like bold italic, centered, etc. This is the format used by default.

  • Rich Text Format files, with .RTF file extension. This format supports formatting and can be also read by Microsoft Write, WordPad or Word program and by many other text editors.


Image Information

Main Menu: View > Image Information

This command opens the Image Information Window, which displays basic information about the image.

If the current image is a DICOM file, the information found in the file headers will be displayed as well.


Window menu

Command | Description
Tile | Arranges the image windows so that they are all the same size.
Cascade | Stacks the windows and aligns them from the upper left to the lower right of the workspace.
Arrange Icons | Arranges the icons of minimized image windows so they are evenly spaced and do not overlap.
 | The images that are open and minimized in the Bersoft Image Measurement workspace are displayed at the bottom of the Window menu. A check mark indicates the active image. To make a different image active, select it from the list.


Help menu

Command | Shortcut key | Description
Contents | F1 | Opens the Help window.
Trial vs. Registered version... |  | Opens a comparison of the features of the TRIAL and Registered version.
Online Ordering |  |
Bersoft Image Measurement Home Page... |  | Opens Bersoft Image Measurement Home Page at http://image-measurement.com using the default Internet Browser.
About... |  | Opens the About Window, which displays Bersoft Image Measurement version number and type (Professional, Standard or Trial) and the licensed user name.


Results Window

Main Menu: Measurements > Results Window

The Results Window is meant to consolidate data from more than one image in a single database and it can get both statistics and graphics charts from the different measurements Series.

When you sent from the Measurements Window (which shows the measurement data for a single image) to the Results Window you will be asked to assign a series number to the data.

The measurements sent to the Results window will use the Local Conversion factor specified for that image. The measurements recorded in the Results Window are not modified in any way by the Conversion factor.

The data stored in the Results Window always is automatically saved when you close the program and it will be also automatically reloaded when the program starts again. It will be always stored in a file named Results Measurements.rwm.

You can also load, save or export data by using the File menu. Because the files with .rwm file extensions use a proprietary format you should export or copy and paste the data, to make it available to other programs.

You can select individual cells in the results window, for use with the Copy, and Delete commands.

Depending on the kind of measurement tool used to record each measurement, some column cells may appear in blank. Not all measurements have area or angle and, by the way, the Points column only will show a number when the measurement was done with the polygon tool, because that column only records the number of points that compose a polygon.

Menu/Toolbar Commands | Shortcut keys | Description
File Menu |  |
Open... |  | Open measurements data previously saved as files with .rwm file extension.
Save as... |  | Saves the measurements data as a file with .rwm file extension.
Export as |  | The Export command that can be used to save the measurements as CSV, ASCII or HTML files. Learn more.
Print |  | Prints the measurements. See Print Options
Statistics | Ctrl-S | Opens a statistics window with the statistics for all visible measurements in the Results window. You should select which feature (length, area, angle, # points, centroid X, centroid Y, width or height). Also is required to select if you want to get statistics from all tools or just from some specific tool (in case you have measurements taken with different tools).
Charts |  | Plot the measurements in a chart. Learn more.
Edit Menu |  |
Copy | Ctrl-C | Copies the selected cells to the Windows Clipboard.
Copy to Excel |  | Starts Excel, creates a Worksheet and copies and pastes the selected cells there.
Select All | Ctrl-A | Selects all cells.
Clear all Values | Ctrl-Del | Deletes all the measurements.
Clear selected rows | Del | Deletes the selected measurements.
Sort by Series # |  | Sorts the measurements in ascending order by Series number.
Menu |  | Opens this Help page.


Charts

Chart window

This window may be called from Results window, Measurements window, Results Statistics window, Statistics window or Find Objects window.

Before the Chart window appears, you have to select which chart type you want to plot:

Pie charts doesn't supports more than one series and different types of charts support different options, therefore some the tabs/options explained below may change slightly or not be present when using some types or charts.

Notes:

By dragging the mouse while holding the right mouse button pressed the chart can be scrolled Horizontal and Vertically.

Changing the proportion of the chart windows, by dragging the mouse will change the chart proportions accordingly.
When printing, the chart proportion will be automatically adjusted to the printed page. If you need to adjust with more precision the proportions of the printed chart you should copy and paste the chart in some other program (like a word processor or any other). It will be pasted as a resizable picture (Windows metafile format), which can be scaled easily to any size and proportion.

If the chart shows labels and the background is not white, the line connecting the labels with the bars will be white and therefore, when printing in black and white they may not be visible unless you set the chart background to white.

The Chart window has two menus, one to print or the other to copy the chart to the clipboard, but most configuration options are accessed through three different tabs:

Tabs options | Description
Main |
Show Points | If this option is selected the points will be displayed using the style and dimensions specified for each series in the Series tab.
Show Legend | Shows / Hides the legend, to the right of the chart.
Show B. Axis Labels | Shows / Hides the bottom Axis labels.
Labels group box | Show Labels Shows / Hides the labels near to each Series point. Decimal Positions defines how many decimal positions will be displayed in the labels.
Left Axis group box | Show Labels Shows / Hides the labels on the left axis. Decimal Positions defines how many decimal positions will be displayed in the axis values.
Background Color | The Background Color is the Color used to fill the complete Chart Panel background.
Color each point | If Color each point is unselected all points will be drawn using the Series color property. If selected, each Series point will be "colored" with a different color. See also Color in Series tab.
3D Settings |
View 3D | View3D will draw each Series simulating a 3D effect. You can control the 3D proportion by modifying the Chart Percent.
2D 3D (Percent) | The Percent indicates the size ratio between Chart dimensions and Chart depth when View 3D is selected.
Elevation | Describes front plane rotation by rotation degrees (0 - 360º). Increasing the value positively will bring the top of the Chart towards the viewer and the bottom of the Chart away, moving around an horizontal axis at the central vertical point of the Chart.
Perspective | Sets the view of the Chart with perspective effect (dimensional appearance with respect to distance from the viewer). When set to 0 perspective id disabled.
Rotation | Describes front plane rotation by rotation degrees (0 - 360º). Increasing the value positively will bring the right of the Chart towards the viewer and the left of the Chart away, moving around a vertical axis at the central horizontal point of the Chart.
Zoom | Zooms the whole Chart. Increasing the value positively will bring the Chart towards the viewer, increasing the overall Chart size as the Zoom value increases. The Chart may be enlarged to a size greater than the Chart panel thus bringing the axes outside of the viewable area.
Show Walls Left Wall Bottom Wall Back Wall | Show Walls will draw Back, Left and Bottom "walls" to simulate 3D effect. The color for each "wall" can be specified separately.
Dark Bar 3D sides | Only works when the chart style is Bar or Horizontal Bar. If selected, the bar sides will be black, otherwise they will have the same color than the bar.
Series | This tab is not available when using Pie charts.
Select Series # | Select here the Series number to work with when specifying color, title, style, pattern or size.
Color | Sets the series color If Color each point is selected in Main tab, the color specified here will not be used at all.
Title | Each Series title appears in the Chart Legend. The default title for each series is its number.
Points | Style defines the shape used to display the Series Points. It can be set to: Rectangle, Circle, Triangle, DownTriangle, Cross, DiagCross or Star. Horizontal and Vertical Size specify the Series Pointer width in logical pixels. The Points group is only available when selecting Line or Point XY charts.
Pattern | This option is only available when selecting Area charts. The Pattern indicates the kind of Brush used to fill the background Area region. The available styles are: Solid, Clear, Horizontal, Vertical, Diagonal, B.Diagonal, Cross and Diag.Cross.


Frame Grabber

Frame Grabber window

The Frame Grabber is shown whenever a video file is selected after selecting a video file in the [image] O pen file dialog and is used to acquire still images from the video file.

To use the frame grabber DirectX 8 (or higher) is required (it can be downloaded from Microsoft website). Also you should have the proper video codecs installed to display the video file. As a rule, if Windows Media Player can display a video file properly, also the Frame Grabber will be able to open that same file.

The acquired frames can be shown on screen or saved as JPG or BMP images.

Capturing to screen *

Use Capture to screen to open frames as image files. Each time it is clicked the current video frame will appear beneath the Frame Grabber window, as a new image window with a title starting with the "Frame" word followed by the frame number that was actually captured. Depending on your system configuration, Bersoft Image Measurement can open more or less image windows at once.

Do not try to capture to the screen dozens of frames at once, or the program may respond very slowly or fail.

Capturing to files

Frame count sets how many frames will be captured as image files.

If Frame interval is set to 1, consecutive frames will be captured, but if its value is higher than 1, some in-between frames will be skipped, according to the specified interval (e.g. if the interval is 10, only 1 in 10 frames will be captured).

Click Browse to set where the files will be saved. If you don't specify any path the files will be saved in the same directory where the video is located.

Files will be named and numbered automatically starting with the number 1 and will be saved as BMP or JPEG files.

Navigation controls

Use the buttons at the bottom of the video to play, stop or pause the video reproduction.

To go to an specific frame either drag the position slider (also at the bottom) or jump n number of frames using the Jump button.

You can jump a positive or negative number of frames, if the jump beyond the video frame count (less than 0 or more than the number of frames in the video) the program will go to the first or last frame and beep.

Click Open to display another video file.

* Only the registered version can capture frames to the screen.


Statistics: Measurements

Measurements Statistics

This statistics window is always called from the Measurements window.

Another way to get statistics for measurements is by sending the measurements to the Results window and getting statistics from there or getting statistics directly from the image, instead from its measurements.

Menu/Toolbar Commands | Shortcut keys | Description
File Menu |  |
Export as |  | The Export command that can be used to save the statistics as CSV, ASCII or HTML files. Learn more.
Print |  | Prints the statistics. See Print Options
Edit Menu |  |
Copy | Ctrl-C | Copies the selected cells to the Windows Clipboard.
Copy to Excel |  | Starts Excel, creates a Worksheet and copies and pastes the selected cells there.
Select All | Ctrl-A | Selects all cells. Select the cells with this command before copying them if you want to copy the cells headers along with the data.
Menu |  | Opens this Help page.


Statistics: Results/Find Objects

Results/Find Objects Statistics

This statistics window may be opened from the Results or the Find Objects window.

Another way to get statistics for measurements is directly from the Measurements window or getting statistics directly from the image, instead from its measurements.

Menu/Toolbar Commands | Shortcut keys | Description
File Menu |  |
Export as |  | The Export command that can be used to save the statistics as CSV, ASCII or HTML files. Learn more.
Print |  | Prints the statistics. See Print Options
Charts |  | Plot the statistics in a chart. Learn more.
Edit Menu |  |
Copy | Ctrl-C | Copies the selected cells to the Windows Clipboard.
Copy to Excel |  | Starts Excel, creates a Worksheet and copies and pastes the selected cells there
Select All | Ctrl-A | Selects all cells. Select the cells with this command before copying them if you want to copy the cells headers along with the data.
Menu |  | Opens this Help page.


Best-fit line

We call best-fit line to the line that passes most closely through several coordinates, minimising the distances between the line and the actual points.

The aim now is to identify the function whose curve is the line.

Note: Bersoft Image Measurements only supports lineal functions (straight lines).

Suppose you have some data involving two variables, in the form of several pairs of values for them. To find about the relationship between the variables, the first step is to plot the pairs of values as coordinates of points on a graph, using the [image] tool.

Then, click [image] on the Measurement window toolbar, so the program calculates the best-fit straight line and draws it as a new measurement segment on your graph. The line will pass through or close to as many of the points as possible.

Notice that the best-fit line does not necessarily pass through any of the points plotted.

The calculation results will be appended as comments to the segment drawn to show the best-fit line, and after the calculation is done, an small window showing the measurement comments will be shown.

It is advisable to set the origin of coordinates to the lower-left point in the Preferences window, before using the best-fit line feature, in order to get the proper values.

Results example (as shown in the comments window).:

Lower-left
 origin
y = a + x * b
a = 559.499399218985
b = -2.05181736257134
y = 559.499399218985 + x * - 2.05181736257134
r = -0.97296016350337

Two-variable Statistics and Linear Regression

Two variable statistics make possible the development of a relationship (correlation) between two sets of data. Each pair of data has x and y values. From these sets of data a line of regression can be established. The relationship of the two sets of data by use of the straight line method is called Linear Regression. In Linear Regression there are three important values, r, a, and b.

The equation of the straight line is y = a + bx, where a is the point at which the line crosses the Y-axis and b is the slope of the line.

The correlation coefficient r shows the relationship between two sets of data. A perfect correlation between two values is an r equal to 1 (-1 is a perfect negative correlation); in other words, by knowing the value of one variable you can predict with 100% accuracy the value of the other variable. The further the value of r is from 1, the less reliable will your predictions be. The following table can be used as a set of definitions of the values of the correlation coefficient:

 | Value of r | Call it
Positive Correlation | +0.80 to +1.00 +0.60 to +0.80 +0.40 to +0.60 +0.20 to +0.40 | Extra High High Moderate Low
 | -0.20 to +0.20 | Nil
Negative Correlation | -0.20 to -0.40 -0.40 to -0.60 -0.60 to -0.80 -0.80 to -1.00 | Low Moderate High Extra High


Dealing with digital camera pictures

Some measurement tools make easy to normalize the way pictures are taken. Scanners, microscopes and other scientific measurement tools always take pictures from samples placed at the same distance. With knowing the DPI value or the microscope amplification factor, you can easily calculate the Conversion Factor, no matter if there is no known length object in the image.

Other tools, like digital cameras, produce images taken under far more variable conditions. The distance to the object may change from image to image, as well as the zoom or the camera lens. That makes more difficult calculating the Conversion Factor unless there is a known length object in the image that can be used to get the Conversion Factor.

To increase the measurement accuracy, place the camera perpendicular to the target and as far away from the object as possible, so perspective and lens distortion are negligible.

Place a known length object (like a ruler) near the middle of the object to measure (to reduce perspective inaccuracy) and keep that object perpendicular to the camera lens.

After the picture is taken, by measuring that known length object, using the Conversion window, you will be able to get the proper conversion factor for that image and measure real word units in the image.

More precise measurements may require applying spatial calibration to the image. We don't cover that topic here but you can search for camera spatial calibration keywords using any good Internet search engine to know more about that topic.


Important notice about transfering image selections

Important notice about transferring image selections

To transfer circular and polygonal area selections from images to Statistics or Array/Band Analyzer windows Bersoft Image Measurement uses the current Background color, to differentiate the pixels inside the selection from those that are outside (the Background color is set in Tools Palette).

The image below shows how when transferring a circular selection to Statistics window the background color (green) is used to fill all pixels outside the selection. If some pixel inside the selection have the same color it is going to be considered as part of the background, not the selection.

That means that is very important setting as Background a color not present into the selection when measuring irregular or elliptical areas manually or when loading selections into Statistics or Array/Band Analyzer windows.


Ordering Bersoft Image Measurement

Limitations of the Trial version

The Trial version only can open images saved in Bersoft Image Measurement proprietary format (.IMB). Several IMB images are included with the TRIAL version but many others can be downloaded from our website to test the program.

To help people to evaluate properly Bersoft Image Measurement we can convert some images (no more than 3 of them) to the format that the Trial version handles, with no charges.
Send the images to be converted to: images@image-measurement.com. We can process emails with attachments not bigger than 1 MB.

The Professional and Standard versions are not limited in any way. They can open images in many different formats (see Supported File Types). and can save the images along with the measurement.

See also: License Agreement

Ordering

To order, simply select Online Ordering under the Help menu, after closing this help screen. You will be taken to the order form on our web site. You may also find the current pricing and the different ordering methods (by check, fax or mail or using a purchase order) in our website, even if you are not ready to order yet.

Prices

Professional version

$ 699

Standard version

$ 399

Upgrade for registered users of the version 3.x
Upgrade from v3 Standard to v4 Standard:

$ 199

Upgrade from v3 Standard to v4 Professional:

$ 499

Upgrade from v3 Professional to v4 Professional:

$ 349

Upgrade from v4 Standard to v4 Professional:

$ 320

  • All prices are expressed in u$s dollars.
  • Any customer who bought Bersoft Image Measurement 3.x in the year 2004 can upgrade for free to the Version 4.
  • Canadian customers should add GST and Ontario residents PST as well.
  • European customers should add VAT.
  • There is not possible to upgrade from the versions 1or 2 to the version 4.

See also: Differences between the Professional and Standard versions.

You can also contact us by email using our online contact form


Technical Support

We provide Technical Support by email to any interested people, and lifetime product support for our customers.

The Technical Support is provided only by email, 365 days a year in both English or Spanish languages, but the program documentation is provided only in English language.

We do not have any additional documentation to the contained in this help file or on our website (http://image-measurement.com)

If possible, before you contact us for further assistance, please be prepared to provide the following information:

  1. In case you already contacted us or you had purchased Bersoft Image Measurement, and you are using a different email than before please let us know that you are a returning customer and supply us with the name or email that you used previously to contact us, so we can put your question in context and help you better.

  2. System information: Windows version number and how many RAM your system has.

  3. A description of the problem, and any relevant information regarding prior technical support assistance.

Send us any support questions using our online contact form.


License Agreement

You should carefully read the following terms and conditions before ordering this software. Unless you have a different license agreement signed by Bersoft, the fact you use this software indicates your acceptance of this license agreement and warranty.

One full Professional or Standard licence of Bersoft Image Measurement may either be used by a single person who uses the software personally in one or more computers, or installed on a single workstation not used simultaneously by multiple people; both alternatives together are not allowed.

The Professional and Standard versions of Bersoft Image Measurement use an identification key, related to the hardware you use (Learn more), so if you renovate your equipment, you are going to need another activation key.

We can supply additional activation keys without additional charges, up to three different keys in a year.

That means three keys in the first year, other three in the second, and so on. If you do not request additional keys, that does not grant you the right to additional keys the next year.

We offer lifetime technical support, by email using our online contact form.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD AS THEY ARE AND WITHOUT WARRANTIES AS TO PERFORMANCE OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.

Bersoft Image Measurement Copyright (c) 1999-2004 by Bersoft Inc.
All rights reserved.
This license applies to the Professional and Standard versions of Bersoft Image Measurement.


About Bersoft Image Measurement

Main Menu: Help > About...

The About Window displays the licensed user name, the program version and also the Current ID number at the bottom..

See W hat is the identificatory number? to learn more about the ID #.


Adjust pixel values window

Adjust Pixel values

Image Statistics Menu: Options > Adjust pixel values
Array Analyzer Menu: Data > Adjust pixel values

Allows modifying image pixel values before calculating statistics on them. Because the darker pixels in an image have the lower values, sometimes inverting the pixel values may be desirable.

The range the pixels values have or scale, usually is 0 to 255 (or 0 to 359 in Hue channel and 0 to 100 in Saturation or Brightness channels). If a Conversion Factor is set, all values are going to be mapped to an scale between 0 and the Conversion Factor set.

Warning: Because pixel values are mapped to integer values, an small range (like 10) is going to reduce the accuracy of the data.


Area Selection

When measuring an area of contiguous pixels, regions connected only along a diagonal will not be included.

If the pixel marked with an X is clicked (see the Table 1) only the pixels connected by the left, right, bottom or right sides will be selected, as the Table 2 shows.

Table 1: Image pixels

X

Table 2: Selected pixels

X

The program determines which pixels lie within a "blob" by searching the four nearest neighbours to find a pixel satisfying the required intensity requirements. This pixel is then added to a list of selected pixels to be searched around during the next phase.


Column Histogram window

Column Histogram

Array Analyzer Menu: Objects > Column Histogram

This window shows in horizontal way a vertical column from a band or lane.

The statistical data for each blot is shown in the table. The vertical axis of the graphic shows the average pixel intensity value along each blot in the column (from 0 to 255). This value is the exact inversion of the image pixel values, so higher values mean darker pixels (in grayscale images 0 value represents black color and 255 is pure white)

Below the graphic the Rf line shows the relative position of each blot.

File name: fig11_bands01-rgb.png
Channel: Grayscale - Inverted

R.C | n | Mean | Min | Max | Coef.var. | Rf
01.01 | 1294 | 172.8126 | 88.0000 | 253.0000 | 36.2562 | 0.0833
02.01 | 1507 | 169.9859 | 88.0000 | 254.0000 | 34.5148 | 0.2130
03.01 | 1386 | 142.5499 | 88.0000 | 254.0000 | 40.6190 | 0.4537
04.01 | 936 | 123.4414 | 88.0000 | 235.0000 | 31.5136 | 0.5617
05.01 | 2452 | 189.6116 | 88.0000 | 254.0000 | 32.6437 | 0.8673


Comparing the Elliptical and Automatic Area Measurement Tools

Comparing the [image] Elliptical and [image] Automatic Area Measurement Tools

If you measure a circle (or any other shape) with [image], it will count how many pixels are in the area with similar colors.
But if you measure the same circle or ellipse with [image], it will calculate the number of pixels by using the following mathematical formulas:

Circumference Area = Pi * (diameter/2)^2
Elliptical Area= Pi * (diameter a/2) * (diameter b/2)

Although both tools will do the measurement correctly, they will give slightly different areas because one of them is using a mathematical formula, but other one is counting real pixels.

Both measurements will be valid, but they cannot be compared between them nor mixed when evaluating series.

Related topics:

Measurement Precision


Calculating Conversion Factor

Calculating the conversion factor based on the drawing scale and the scanning resolution

When we speak about pixel we mean the image resolution in pixels per inch used to scan the image, not the pixels shown on the screen, which can vary according to the zoom.

Example 1:

The image file was scanned at 200 dpi, and the scale of the drawing is 1:2000.

How to determine the conversion factor to obtain an area calculated in m2?

Solution:

200 pixels in the image = 2.54 cm (1 inch) in the map = 2.54 cm * 2000 in the real word.

2.54 * 2000 = 5080 cm = 50.8 meters

Therefore:

200 pixels in the image = 50.80 m in the real world

1 pixel in the image = 50.80 /200 = 0.254 m in the real world

So the conversion factor go get measurements in meters is 0.254. That means that each meter is about 4 pixels long in the image.

Example 2:

The image file was scanned at 300 dpi, and the scale of the drawing is 1:10000.

How to determine the conversion factor to obtain a measurement calculated in feet?

Solution (rounding to two decimals to simplify the example):

300 pixels in the image = 1 inch in the map = 1 * 10,000 in the real word.

10,000 inches = 833.33 feet (10,000 / 12)

Therefore:

300 pixels in the image = 833.33 .feet in the real world

1 pixel in the image = 833.33 /300 = 2.78 feet in the real world

So the conversion factor go get measurements in meters is 2.78. That means that each pixel in the image is equal to 2.79 feet in the real world.


Filters Description

1. 3x3 spatial convolution filters

Laplace Filter

Here the brightness values of the neighboring pixels are subtracted from the central pixel. Consequently, in region of the image that is uniform in brightness, the result is to reduce the grey level to zero. When a discontinuity is present within the neighborhood in the form of a point, line or edge, the result of this filter is a non-zero value.

High Pass Filter

High pass filtering is used to enhance edges between different regions as well as to "sharpen" an image. This is accomplished using a kernel with a high central value, typically surrounded by negative weights. High pass filter remove the local mean, and output the measure of deviation of the input signal from the local mean. The High Pass filter replaces the center pixel with a value that significantly increases its contrast from its neighbors. The HiPass filter leaves only elements of high contrast.

Low Pass Filter

Low pass filtering is used for smoothing the image. For all the pixels inside the kernel, low pas filter will take the average DN of all these pixels and output to output image. Low pass filter is a linear filter used for image enhancement and sensor simulation. It preserves the local mean of the image, but it decreases the spatial resolution of the image. If image interpretation doesn't very high spatial resolution, low pass filter is usually used for filtering noise by averaging the DN value of the noisy pixel with the "good" pixels. The Low Pass filter replaces the center pixel with the mean value in its neighborhood. The Low Pass filter can also be used to remove noise..

2. Morphing filters

Morphing filters may be used for removing artifacts or enhancing, dilating or eroding edges from the image. Notice how the straight lines are removed from the above image by using a Closing filter.

Window size determines the filter strength.


Cannot open Find Objects

Objects are searched for in the active area selection, but no area selection is active at this moment.

Before searching for objects please select the image objects by using the [image] tool or by opening the Measurements window and clicking the corresponding area selection row there to activate it (in case you already created an area selection on the image).

Please read Finding Objects to learn more.


Find Objects: Edit Series Window

Find Objects Toolbar button:

Series may be added, deleted, sorted, loaded or saved by using the Add, Delete, Sort, Load and Save buttons (they are saved as text files with .ser file extension).

Each series is assigned a color, name and an area interval, defined by filling the From and To fields.

To add several series at once click Multiple Add.

To filter out objects based on its area leave some gaps between the series intervals.

Example: if you don't want to find objects smaller than 10 pixels, set the From text box to 10.


How to modify measurements

Modifying measurements values:

Use the Line Selection Tool [image] to edit measurements previously done with the [image], [image], [image], [image] or [image] tools.
To select a measurement click on any of its lines, after the measurement is selected its lines can moved or stretched.

To write the measurement (replacing the previous measurement by the modified one) right click and choose Write measurement. To cancel all modifications and keep the previous measurement, right click and choose Unselect (Cancel).

To modify a measurement done by the [image] tool you should select it in the Measurements window and then open the Selection Settings palette.

Modifying measurements appearance:

You can select a single measurements or several measurements at once in the Measurements window; then click the [image] button to open the Set Measurement Color window, which allows to modify the lines, background and font color and the typeface for the selected measurements.


Measurements Table

Tool/Menu

Measures

Manual Measurements
included in the Tools Palette

Straight Line

Length, Control Points coordinates

Angle

Angle, Length, Control Points coordinates

Polygon

Perimeter, Area, Control Points coordinates

Rectangle

Perimeter, Area, Control Points coordinates

Ellipse

Perimeter, Area

Manual Tag and Counter

Control Point coordinates

Semi Manual Measurements

Automatic Area (also in the Tools Palette)

Area, Control Point coordinates

Find Objects

Objects Area, Number and Statistics

Automatic Measurements

Statistics

Statistics can be calculated from:

  • Images
  • Measurements in the Measurements window
    See Measurements Statistics
  • Measurements in the Results window
    See Results Statistics

Statistics

move the first point without actually closing the path, press the Alt key while clicking it.

The Rectangle [image] and Ellipse [image] tools place a 10x10 pixels size rectangular or elliptical shape on the image (that size may be modified at Preferences tab). To move or resize the measurement click the shape control points. If the SHIFT key is pressed while resizing the shape it will have exactly the same width and height, so it will become a perfect square or a circle.

To scroll up/down or left/right the image while making a measurement, press the spacebar to turn on temporarily the [image] Hand Grabbing Tool.

To write the measurement right click and select Write measurement, or choose Unselect (Cancel) if you want to cancel it.

Configuring predetermined options

Some tools can be work in different ways depending on its settings. To define how tools work right click on the tool you want to configure, or just select the Edit > Preferences menu command to open the Preferences window.

The following table describes how each tool work.

Options: CF: Uses the Conversion Factor. S: Supports Statistics.
H: Supports Histogram. CO: Supports copying.

Tool
Options
Description
Angle Measurement Tool

The Angle tool allows you to determine the angle defined by three points within the digital image.
Angles are drawn by clicking on three points: on one point subtending the angle, the vertex and the second point on the rays subtending the angle to be measured. Place the cursor over the initial point (1), click, point to the angle center (2) and click other time, point to the final point (3), and click again.

To write the measurement right click and choose Write measurement.

If End segment and angle measurement automatically is set ON in Preferences window, the measurement will be written automatically as soon you click for a third time.

Line Measurement Tool

CF

The Line tool allows you to determine the distance defined between two points within the image.
To draw a single-segment line, click at one end of the line, point to the other end and click again.

To write the measurement right click and choose Write measurement.
If End segment and angle measurement automatically is set ON in Preferences window, the measurement will be written automatically as soon you click for a second time.

Manual Tags and Counter Tool

The Manual Tag and Counter Tool allows counting manually objects within an image. Each time you click on an image point, it is tagged using a colored pixel and the total counting is incremented by one. Each tag is stored in the Measurements window and numbered accordingly to the counting. To change the actual counting right-click [image].

Manual area/perimeter measurement

Polygonal Area/Perimeter Measurement
Tool

S, CF,
H, CO

Click on the first point, and continue moving and clicking until you have marked all segments. To measure a polygonal area click on the first point at the end of the measurement in order to close the polygon.
To write the measurement right click.

NOTE: Important notice about irregular selections.

Rectangular Area Measurement Tool

S, CF,
H, CO

Drag on the image to select a rectangular area.

You may adjust the boundaries and position of a rectangular selection while it is active. To adjust a boundary, place the cursor along the edge or corner of the rectangle selection and drag it when the 2-way cursor appears. To move the rectangle selection, place your cursor in the middle of the rectangle and drag it when the 4-way cursor appears.

To write the measurement right click and choose Write measurement.
The Rectangular Area Measurement Tool supports Basic Statistics and Frequency Analysis and Histogram.

Elliptical Area Measurement Tool

S, CF,
H, CO

Drag on the image to select an elliptical area. The selecting is drawn from the center. To move the selection, place your cursor in the middle of the rectangle and drag it when the 4-way cursor appears.

To write the measurement right click and choose Write measurement or Write measurement and extended information.

The Elliptical Area Measurement Tool supports Basic Statistics and Frequency Analysis and Histogram.

NOTE: Important notice about elliptical selections.

Automatic selection area measurement
Automatic Area Measurement Tool

SS

Makes automatic selections of pixel areas with similar color.

Click the color you want to select. A mask will mark the selection.

To modify the selection scope and modify other related settings, open the Selection Settings palette.

The following buttons are not measurement tools but perform other useful functions:

Line Selection Tool

Use the Line Selection Tool to edit measurements previously done with the [image], [image], [image], [image] or [image] tools.
To select a measurement click on any of its lines, after the measurement is selected its lines can moved or stretched.

To write the measurement (replacing the previous measurement by the modified one) right click and choose Write measurement. To cancel all modifications and keep the previous measurement, right click and choose Unselect (Cancel).

Note: To modify a measurement done by the [image] tool you should select it in the Measurements window.

Color Picker Tool

Use the Picker Tool to set the foreground color.
Click the color you want to pick.
Freehand Pencil Tool
Use the Freehand Pencil Tool to paint over the image.
Hand Grabbing Tool

Scrolls an image in any direction when the whole image is bigger than the image window.
Note: Pressing the spacebar turns on temporarily the Hand Grabbing Tool without interrupting the measurement in progress.

Zoom Tool
Enlarges or reduces your view of the image depending on which mouse button is clicked. Right-click enlarges and left-click reduces the zoom.
Foreground/Background Color

Click on the Foreground (left box) or Background (right box) boxes to open the color window to select a new color.

The Foreground color determines the color used to draw the new measurements, although after a measurement is done, its color can be modified at the Measurements window.

The Background color is also used when a selection is transferred another window.
Learn more: Important notice about transferring selections.

Brush size

The brush size affects the [image] tool and also the [image] tool (when adding/subtracting selections manually).

Selection Lines color

If selected the selection lines will be drawn using the Foreground/Background colors. It unselected they will be drawn in black and white colors. This option doesn't affect the color used to draw the lines on the Measurement Layer.


Merge with background image

Merge Measurements

Main Menu: Measurements > Merge Measurements (flatten image)

Merges all the measurements with the image.

After measurements become part of the image they cannot be separated or modified in any way.

If the image was not saved you can use Revert to saved to get back the measurements (as editable objects, separated from the image background), but if the image was saved after merging the measurements, there is no way to get back the measurements.


Conversion Factor

If the menu Measurements > Set Conversion Factor is selected the measurements will be adjusted by the Conversion Factor, otherwise it will show the pixels value (either area, dimension or location).


DICOM images

DICOM images are only supported by the Professional version.

See Differences between the Professional and Standard versions


Export Options

Save/Export Options

CVS file
Saves the data as a Comma delimited text file with .CSV file extension. Spreadsheets programs, including Excel and statistical programs can read this format.

HTML file
Saves the data as an HTML file with .htm file extension.

ASCII file
Saves the data as an ASCII (only text) file with .TXT file extension.

The saved data always includes the full row and column headers (the gray cells with the titles).


Print Options

Print
Opens the Windows Print Setup Dialog to configure the printer and print the data.

Print Preview
Opens the Print Preview window to preview how the data is going to be printed, configure the printer and print the data.

Print Settings
Opens the Print Settings window for configuring many printing options, like borders, headers and footers, font, margins, row and column spacing and many other options. The settings can be saved and loaded to a configuration file from the Print Settings window.


Shortcut menu

A shortcut menu is a menu that appears when you right-click on an object (usually an image or selection).

The available commands may be different depending on which tool or window is active.


Calibration

The measurements done by this tool use the Conversion Factor.

The Conversion Factor allows defining a unit of measurement for all dimensional measurements (length, area or perimeter).

See: Conversion Factor window


Copy

This tool supports copying.

Notes:
  • To copy a polygonal, rectangular or elliptical selection, do not write the measurement, because that would clear the selection, but copy it before recording the measurement.
  • If the measurement was done with the [image] tool, by clicking on any of its segments with the [image] tool, the measurement selection will be recalled, enabling copying again.


SelectionSettings

The Automatic Area Measurement tool sensibility and options are set by the Selection Settings palette.


Statistic

This tool supports statistical analysis, using the Statistics Window.


Twain devices

TWAIN was developed by a collective of scanner manufacturers. TWAIN defines a standardized way to provide communication between imaging devices, such as a scanners or digital cameras, to software applications, like Bersoft Image Measurement.

Note: Most TWAIN-Compliant devices are supported, but we cannot grant compatibility with 100% of scanning devices.


Preferences window: Miscellaneous tab

Preferences: Miscellaneous tab

Main Menu: Edit > Preferences

The settings specified in the Preferences Window determine how Bersoft Image Measurement works.

The Preferences Window is divided into four tabs, click any of them to see its description, below the tab image.

  • External image editor: Shows the program that is going to open the actual image when Current image is selected on Edit menu. Click Select to locate your preferred image editor.

  • Undo limit (per open image): Sets the number of steps that the undo system will store in memory. If the program works slowly after you increased the Undo limit, try decreasing it or add more RAM memory to your computer.

Polygonal Region filling mode

This affects how polygonal areas are calculated and polygonal selection are processed, that is only affects selections or measurements done with the Polygon tool [image].

ALTERNATE Selects alternate mode (fills area between odd-numbered and even-numbered polygon sides on each scan line).

WINDING Selects winding mode (fills any region with a nonzero winding value).

In general, the modes differ only in cases where a complex, overlapping polygon must be filled (for example, a five-sided polygon that forms a five-pointed star with a pentagon in the center). In such cases, ALTERNATE mode fills every other enclosed region within the polygon (that is, the points of the star), but WINDING mode fills all regions (that is, the points and the pentagon).

When the fill mode is ALTERNATE, the area between odd-numbered and even-numbered polygon sides is filled on each scan line. That is, the area is filled between the first and second side, between the third and fourth side, and so on.

When the fill mode is WINDING, any region that has a nonzero winding value is filled. This value is defined as the number of times a pen used to draw the polygon would go around the region. The direction of each edge of the polygon is important.


Preferences window: Tools tab

Preferences: Tools tab

Main Menu: Edit > Preferences

The program preferences settings determine how Bersoft Image Measurement works.

The Preferences Window is divided into four tabs, click any of them to see its description, below the tab image.

This tab configures how the tools on the Measurement Tools window work.

  • Use pen colors when drawing moving lines: while you are drawing the measurement lines, before them are rendered on the Measurement layer, they will be usually drawn black and white colors, but if you select this option they will be drawn using the pen colors defined in the Measurement Tools window.

  • Draw Only Borders: If this option is selected only the Automatic Area selection outline will be drawn over the image, otherwise the selection will be filled with a solid color.

  • End segment and angle measurement automatically: When selected, the measurement will be written automatically in the Measurement Window, as soon the final control point is set. Otherwise, you should right-click and select Write measurement to write it.

  • Draw Control points: If this option is selected the Control point are drawn on the Measurement layer.

  • Control Point Radius: Sets the Control points radius.

  • Rectangle/Circle default size: Sets the default size used by the [image] and [image] tools.

  • Double click completes measurements: When this option is selected there is no need to right-click, but instead double-click to finish and write the measurement.


Preferences window: View tab

Preferences: View tab

Main Menu: Edit > Preferences

The program preferences settings determine how Bersoft Image Measurement works.

The Preferences Window is divided into four tabs, click any of them to see its description, below the tab image.

The grid helps to arrange image elements symmetrically.

To display the grid, choose Image > View/Hide Grid. Note that the grid appears in the actual image when you choose the command.
To hide the grid, choose Image > View/Hide Grid. The grid disappears from the current image.

  • Grid size: Sets the space, in pixels, between the grid lines.

  • Grid color: Sets the grid color.

Mark Selected Measurement: If this options is checked the selected measurement will be marked with an arrow pointer [image].

Image Label Display for Measurements: Defines how the measurements labels will be drawn on the image.

Origin of coordinate system: Different from usual standard graphing, computer graphic coordinates start at the top left corner of the image, so the Y axis goes from top to bottom, not otherwise. To set the lower-left (as in normal Cartesian coordinates) point as the coordinates origin point, select Lower-left. This option will only affect how coordinates are drawn in the Measurements or Pixel Profile windows and it is recommended specially when calculating the best-fit line.


Save: Advanced Options

This window appears when the Advanced button is clicked on Save As window.

Not all file formats have Advanced options to set and the options may be different from file to file.

JPEG images can be saved with different compression levels, by modifying the quality value. This window preview how the files will look with different compression levels.

Other kind of files may be saved with different color depth or slightly different formats.


Saving Measurements

Main Menu: File > Save or File > Save image as...
Shortcut: Ctrl-S
Toolbar button:

The measurements associated with an image Layers are saved as an independent file which has the same filename of the original image plus .MSR file extension.

Example:

Image filename

measurement.png

Measurements filename:

measurement.png.msr

When the image is reopened, the measurements also will be automatically loaded, and any time the image is saved, they will be recorded as well. If the measurements are cleared, the related file will be deleted when the image is saved.

Saving the measurement with the image in a single file

Although by default measurements are saved as external files, they can also be saved with the image in a single image file, merging measurements with the image..

The layers may be merged by using the Layers menu or by selecting Merge Measurements in the Save As dialog.

After Merge Measurements was selected in the Save As dialog, each time the image is saved again its measurements will be merged and the image flattened. But after the image is closed and opened again, it will revert to the standard way of saving the measurements as an independent file, unless you select Merge Measurements again.


Unselect command

Unselect/Cancel

Deselects the selected image area.


View/Hide Measurements

Main Menu: Measurements > View/Hide Measurements

Shows or Hides the Measurements Layer.